Package com.smartgwt.client.util

# Class ConvertTo

java.lang.Object
com.smartgwt.client.util.ConvertTo

public final class ConvertTo extends Object
This object contains all of the methods for converting from a JavaScriptObject to an array of specific SmartGWT class types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AceAnchor[]`
  `arrayOfAceAnchor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceAnchor` objects.
  `static AceCompleter[]`
  `arrayOfAceCompleter(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceCompleter` objects.
  `static AceCompletionResult[]`
  `arrayOfAceCompletionResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceCompletionResult` objects.
  `static AceDocument[]`
  `arrayOfAceDocument(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceDocument` objects.
  `static AceEditor[]`
  `arrayOfAceEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceEditor` objects.
  `static AceEditSession[]`
  `arrayOfAceEditSession(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceEditSession` objects.
  `static AceMarker[]`
  `arrayOfAceMarker(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceMarker` objects.
  `static AcePosition[]`
  `arrayOfAcePosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AcePosition` objects.
  `static AceRange[]`
  `arrayOfAceRange(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceRange` objects.
  `static AceRenderer[]`
  `arrayOfAceRenderer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceRenderer` objects.
  `static AceUndoManager[]`
  `arrayOfAceUndoManager(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AceUndoManager` objects.
  `static ActiveXControl[]`
  `arrayOfActiveXControl(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
  `static AdaptiveMenu[]`
  `arrayOfAdaptiveMenu(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AdaptiveMenu` objects.
  `static AddScreenTask[]`
  `arrayOfAddScreenTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AddScreenTask` objects.
  `static AdminSearches[]`
  `arrayOfAdminSearches(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AdminSearches` objects.
  `static AdvancedCriteria[]`
  `arrayOfAdvancedCriteria(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
  `static AdvancedCriterionSubquery[]`
  `arrayOfAdvancedCriterionSubquery(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriterionSubquery` objects.
  `static AdvancedHiliteEditor[]`
  `arrayOfAdvancedHiliteEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
  `static AIContentType[]`
  `arrayOfAIContentType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIContentType` objects.
  `static AIContext[]`
  `arrayOfAIContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIContext` objects.
  `static AIDataQuestionItem[]`
  `arrayOfAIDataQuestionItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIDataQuestionItem` objects.
  `static AIEngine[]`
  `arrayOfAIEngine(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIEngine` objects.
  `static AIFieldRequest[]`
  `arrayOfAIFieldRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIFieldRequest` objects.
  `static AIHoverRequest[]`
  `arrayOfAIHoverRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIHoverRequest` objects.
  `static AIMessage[]`
  `arrayOfAIMessage(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIMessage` objects.
  `static AIMessageSource[]`
  `arrayOfAIMessageSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIMessageSource` objects.
  `static AIMessageWithSource[]`
  `arrayOfAIMessageWithSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIMessageWithSource` objects.
  `static AIProgressMessage[]`
  `arrayOfAIProgressMessage(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIProgressMessage` objects.
  `static AIProgressMessageCategory[]`
  `arrayOfAIProgressMessageCategory(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIProgressMessageCategory` objects.
  `static AIRequest[]`
  `arrayOfAIRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIRequest` objects.
  `static AIResponse[]`
  `arrayOfAIResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIResponse` objects.
  `static AIResponseErrorType[]`
  `arrayOfAIResponseErrorType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIResponseErrorType` objects.
  `static AIServiceDescriptor[]`
  `arrayOfAIServiceDescriptor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIServiceDescriptor` objects.
  `static AIServiceMode[]`
  `arrayOfAIServiceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIServiceMode` objects.
  `static AISortProgressDialog[]`
  `arrayOfAISortProgressDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AISortProgressDialog` objects.
  `static AIWindow[]`
  `arrayOfAIWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AIWindow` objects.
  `static Alignment[]`
  `arrayOfAlignment(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
  `static AnimateShowEffect[]`
  `arrayOfAnimateShowEffect(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
  `static AnimationAcceleration[]`
  `arrayOfAnimationAcceleration(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
  `static AnimationEffect[]`
  `arrayOfAnimationEffect(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
  `static AnimationLayoutMode[]`
  `arrayOfAnimationLayoutMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AnimationLayoutMode` objects.
  `static AnswerEngineOperation[]`
  `arrayOfAnswerEngineOperation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AnswerEngineOperation` objects.
  `static ArrowKeyEditAction[]`
  `arrayOfArrowKeyEditAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ArrowKeyEditAction` objects.
  `static ArrowStyle[]`
  `arrayOfArrowStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
  `static AskForValueTask[]`
  `arrayOfAskForValueTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AskForValueTask` objects.
  `static AsyncDataBoundOperationContext[]`
  `arrayOfAsyncDataBoundOperationContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncDataBoundOperationContext` objects.
  `static AsyncDataBoundOperationParams[]`
  `arrayOfAsyncDataBoundOperationParams(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncDataBoundOperationParams` objects.
  `static AsyncMultipleValuesGenerationResult[]`
  `arrayOfAsyncMultipleValuesGenerationResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncMultipleValuesGenerationResult` objects.
  `static AsyncOperationContext[]`
  `arrayOfAsyncOperationContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationContext` objects.
  `static AsyncOperationParams[]`
  `arrayOfAsyncOperationParams(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationParams` objects.
  `static AsyncOperationResult[]`
  `arrayOfAsyncOperationResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationResult` objects.
  `static AsyncOperationResultType[]`
  `arrayOfAsyncOperationResultType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationResultType` objects.
  `static AsyncSingleValueGenerationResult[]`
  `arrayOfAsyncSingleValueGenerationResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AsyncSingleValueGenerationResult` objects.
  `static AutoComplete[]`
  `arrayOfAutoComplete(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
  `static Autofit[]`
  `arrayOfAutofit(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
  `static AutoFitEvent[]`
  `arrayOfAutoFitEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
  `static AutoFitIconFieldType[]`
  `arrayOfAutoFitIconFieldType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
  `static AutoFitTextAreaItem[]`
  `arrayOfAutoFitTextAreaItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
  `static AutoFitWidthApproach[]`
  `arrayOfAutoFitWidthApproach(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
  `static AutoScrollDataApproach[]`
  `arrayOfAutoScrollDataApproach(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoScrollDataApproach` objects.
  `static AutoSelectionModel[]`
  `arrayOfAutoSelectionModel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
  `static Axis[]`
  `arrayOfAxis(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
  `static BackgroundRepeat[]`
  `arrayOfBackgroundRepeat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
  `static BaseWidget[]`
  `arrayOfBaseWidget(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BaseWidget` objects.
  `static BatchUploader[]`
  `arrayOfBatchUploader(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
  `static BlurbItem[]`
  `arrayOfBlurbItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
  `static BooleanItem[]`
  `arrayOfBooleanItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
  `static BrowserPlugin[]`
  `arrayOfBrowserPlugin(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
  `static BrowserWindowSettings[]`
  `arrayOfBrowserWindowSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BrowserWindowSettings` objects.
  `static BuildDataBoundUIViaAIContext[]`
  `arrayOfBuildDataBoundUIViaAIContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildDataBoundUIViaAIContext` objects.
  `static BuildHilitesContext[]`
  `arrayOfBuildHilitesContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildHilitesContext` objects.
  `static BuildHilitesResponse[]`
  `arrayOfBuildHilitesResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildHilitesResponse` objects.
  `static BuildUIViaAIContext[]`
  `arrayOfBuildUIViaAIContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIContext` objects.
  `static BuildUIViaAIProgressDialog[]`
  `arrayOfBuildUIViaAIProgressDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIProgressDialog` objects.
  `static BuildUIViaAIValidationType[]`
  `arrayOfBuildUIViaAIValidationType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIValidationType` objects.
  `static BuildViaAIContext[]`
  `arrayOfBuildViaAIContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIContext` objects.
  `static BuildViaAIProgressDialog[]`
  `arrayOfBuildViaAIProgressDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIProgressDialog` objects.
  `static BuildViaAIResponse[]`
  `arrayOfBuildViaAIResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIResponse` objects.
  `static Button[]`
  `arrayOfButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
  `static ButtonItem[]`
  `arrayOfButtonItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
  `static CacheSyncStrategy[]`
  `arrayOfCacheSyncStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CacheSyncStrategy` objects.
  `static CacheSyncTiming[]`
  `arrayOfCacheSyncTiming(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CacheSyncTiming` objects.
  `static Calendar[]`
  `arrayOfCalendar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
  `static CalendarEvent[]`
  `arrayOfCalendarEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
  `static CalendarSaveScenario[]`
  `arrayOfCalendarSaveScenario(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CalendarSaveScenario` objects.
  `static CalendarView[]`
  `arrayOfCalendarView(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
  `static CancellationController[]`
  `arrayOfCancellationController(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CancellationController` objects.
  `static Canvas[]`
  `arrayOfCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
  `static CanvasEditProxy[]`
  `arrayOfCanvasEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
  `static CanvasFilterMode[]`
  `arrayOfCanvasFilterMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CanvasFilterMode` objects.
  `static CanvasItem[]`
  `arrayOfCanvasItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
  `static CellRecord[]`
  `arrayOfCellRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
  `static CellRecordMode[]`
  `arrayOfCellRecordMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CellRecordMode` objects.
  `static CellSelection[]`
  `arrayOfCellSelection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
  `static CharacterCasing[]`
  `arrayOfCharacterCasing(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
  `static ChartType[]`
  `arrayOfChartType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
  `static CheckboxItem[]`
  `arrayOfCheckboxItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
  `static CheckboxItemEditProxy[]`
  `arrayOfCheckboxItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
  `static ChildrenPropertyMode[]`
  `arrayOfChildrenPropertyMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ChildrenPropertyMode` objects.
  `static ClickMaskMode[]`
  `arrayOfClickMaskMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
  `static ClientUniquenessCheckCondition[]`
  `arrayOfClientUniquenessCheckCondition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ClientUniquenessCheckCondition` objects.
  `static Color[]`
  `arrayOfColor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Color` objects.
  `static ColorFormat[]`
  `arrayOfColorFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorFormat` objects.
  `static ColorItem[]`
  `arrayOfColorItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
  `static ColorPicker[]`
  `arrayOfColorPicker(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
  `static ColorPickerItem[]`
  `arrayOfColorPickerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
  `static ColorPickerMode[]`
  `arrayOfColorPickerMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
  `static ColorStop[]`
  `arrayOfColorStop(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
  `static ColumnTree[]`
  `arrayOfColumnTree(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
  `static ComboBoxItem[]`
  `arrayOfComboBoxItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
  `static ComponentTask[]`
  `arrayOfComponentTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ComponentTask` objects.
  `static ConnectorOrientation[]`
  `arrayOfConnectorOrientation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
  `static ConnectorStyle[]`
  `arrayOfConnectorStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
  `static ContentLayoutPolicy[]`
  `arrayOfContentLayoutPolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ContentLayoutPolicy` objects.
  `static ContentsType[]`
  `arrayOfContentsType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
  `static ControlName[]`
  `arrayOfControlName(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
  `static CreateScreenSettings[]`
  `arrayOfCreateScreenSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CreateScreenSettings` objects.
  `static Criteria[]`
  `arrayOfCriteria(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
  `static CriteriaCombineOperator[]`
  `arrayOfCriteriaCombineOperator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
  `static CriteriaOutputSettings[]`
  `arrayOfCriteriaOutputSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaOutputSettings` objects.
  `static CriteriaPolicy[]`
  `arrayOfCriteriaPolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
  `static Criterion[]`
  `arrayOfCriterion(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
  `static CSSEditor[]`
  `arrayOfCSSEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CSSEditor` objects.
  `static CubeGrid[]`
  `arrayOfCubeGrid(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
  `static CurrentPane[]`
  `arrayOfCurrentPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
  `static Cursor[]`
  `arrayOfCursor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
  `static DataBoundAIRequest[]`
  `arrayOfDataBoundAIRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataBoundAIRequest` objects.
  `static DataContext[]`
  `arrayOfDataContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataContext` objects.
  `static DataContextBinding[]`
  `arrayOfDataContextBinding(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataContextBinding` objects.
  `static DataLineType[]`
  `arrayOfDataLineType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
  `static DataPointSizeScalingMode[]`
  `arrayOfDataPointSizeScalingMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataPointSizeScalingMode` objects.
  `static DataQuestion[]`
  `arrayOfDataQuestion(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestion` objects.
  `static DataQuestionResult[]`
  `arrayOfDataQuestionResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestionResult` objects.
  `static DataQuestionSettings[]`
  `arrayOfDataQuestionSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestionSettings` objects.
  `static DataSource[]`
  `arrayOfDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
  `static DataSourceField[]`
  `arrayOfDataSourceField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
  `static DataSourceTemplateReferenceMode[]`
  `arrayOfDataSourceTemplateReferenceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceTemplateReferenceMode` objects.
  `static DataURLFormat[]`
  `arrayOfDataURLFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataURLFormat` objects.
  `static DataView[]`
  `arrayOfDataView(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DataView` objects.
  `static Date[]`
  `arrayOfDate(JavaScriptObject array)`
  `static DateChooser[]`
  `arrayOfDateChooser(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
  `static DateDisplayFormat[]`
  `arrayOfDateDisplayFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
  `static DateEditingStyle[]`
  `arrayOfDateEditingStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
  `static DateFieldLayout[]`
  `arrayOfDateFieldLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
  `static DateGrid[]`
  `arrayOfDateGrid(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
  `static DateItem[]`
  `arrayOfDateItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
  `static DateItemEditProxy[]`
  `arrayOfDateItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
  `static DateItemSelectorFormat[]`
  `arrayOfDateItemSelectorFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
  `static DateRangeDialog[]`
  `arrayOfDateRangeDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
  `static DateRangeItem[]`
  `arrayOfDateRangeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
  `static DateTimeItem[]`
  `arrayOfDateTimeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
  `static DBCField[]`
  `arrayOfDBCField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DBCField` objects.
  `static DebugOverflowSettings[]`
  `arrayOfDebugOverflowSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DebugOverflowSettings` objects.
  `static DecisionBranch[]`
  `arrayOfDecisionBranch(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DecisionBranch` objects.
  `static DecisionGateway[]`
  `arrayOfDecisionGateway(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
  `static DecisionTask[]`
  `arrayOfDecisionTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DecisionTask` objects.
  `static Deck[]`
  `arrayOfDeck(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Deck` objects.
  `static DefaultSampleRecord[]`
  `arrayOfDefaultSampleRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
  `static DescriptionMode[]`
  `arrayOfDescriptionMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DescriptionMode` objects.
  `static DetailViewer[]`
  `arrayOfDetailViewer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
  `static DetailViewerEditProxy[]`
  `arrayOfDetailViewerEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
  `static DetailViewerField[]`
  `arrayOfDetailViewerField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
  `static DetailViewerRecord[]`
  `arrayOfDetailViewerRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
  `static DeviceMode[]`
  `arrayOfDeviceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
  `static Dialog[]`
  `arrayOfDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
  `static Direction[]`
  `arrayOfDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
  `static DiscoverTreeSettings[]`
  `arrayOfDiscoverTreeSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DiscoverTreeSettings` objects.
  `static DisplayNodeType[]`
  `arrayOfDisplayNodeType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
  `static double[]`
  `arrayOfdouble(JavaScriptObject array)`
  `static DoubleItem[]`
  `arrayOfDoubleItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
  `static DragAppearance[]`
  `arrayOfDragAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
  `static DragDataAction[]`
  `arrayOfDragDataAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
  `static DragIntersectStyle[]`
  `arrayOfDragIntersectStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
  `static DragMaskType[]`
  `arrayOfDragMaskType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
  `static DragTrackerMode[]`
  `arrayOfDragTrackerMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
  `static DrawBlockConnector[]`
  `arrayOfDrawBlockConnector(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
  `static DrawCurve[]`
  `arrayOfDrawCurve(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
  `static DrawDiamond[]`
  `arrayOfDrawDiamond(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
  `static DrawGroup[]`
  `arrayOfDrawGroup(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
  `static DrawImage[]`
  `arrayOfDrawImage(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
  `static DrawingType[]`
  `arrayOfDrawingType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawingType` objects.
  `static DrawItem[]`
  `arrayOfDrawItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
  `static DrawItemEditProxy[]`
  `arrayOfDrawItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
  `static DrawKnob[]`
  `arrayOfDrawKnob(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
  `static DrawLabel[]`
  `arrayOfDrawLabel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
  `static DrawLabelEditProxy[]`
  `arrayOfDrawLabelEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
  `static DrawLine[]`
  `arrayOfDrawLine(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
  `static DrawLinePath[]`
  `arrayOfDrawLinePath(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
  `static DrawnValue[]`
  `arrayOfDrawnValue(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
  `static DrawOval[]`
  `arrayOfDrawOval(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
  `static DrawPane[]`
  `arrayOfDrawPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
  `static DrawPaneEditProxy[]`
  `arrayOfDrawPaneEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
  `static DrawPath[]`
  `arrayOfDrawPath(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
  `static DrawPolygon[]`
  `arrayOfDrawPolygon(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
  `static DrawPosition[]`
  `arrayOfDrawPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
  `static DrawRect[]`
  `arrayOfDrawRect(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
  `static DrawSector[]`
  `arrayOfDrawSector(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
  `static DrawShape[]`
  `arrayOfDrawShape(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
  `static DrawShapeCommand[]`
  `arrayOfDrawShapeCommand(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
  `static DrawShapeCommandType[]`
  `arrayOfDrawShapeCommandType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
  `static DrawTriangle[]`
  `arrayOfDrawTriangle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
  `static DropZone[]`
  `arrayOfDropZone(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DropZone` objects.
  `static DSAddTask[]`
  `arrayOfDSAddTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSAddTask` objects.
  `static DSDataFormat[]`
  `arrayOfDSDataFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
  `static DSFetchTask[]`
  `arrayOfDSFetchTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSFetchTask` objects.
  `static DSInheritanceMode[]`
  `arrayOfDSInheritanceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
  `static DSLoadSettings[]`
  `arrayOfDSLoadSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSLoadSettings` objects.
  `static DSOperationType[]`
  `arrayOfDSOperationType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
  `static DSProtocol[]`
  `arrayOfDSProtocol(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
  `static DSRemoveTask[]`
  `arrayOfDSRemoveTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSRemoveTask` objects.
  `static DSRequest[]`
  `arrayOfDSRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
  `static DSRequestTask[]`
  `arrayOfDSRequestTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSRequestTask` objects.
  `static DSResponse[]`
  `arrayOfDSResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
  `static DSServerType[]`
  `arrayOfDSServerType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
  `static DSUpdateTask[]`
  `arrayOfDSUpdateTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DSUpdateTask` objects.
  `static DynamicForm[]`
  `arrayOfDynamicForm(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
  `static EdgedCanvas[]`
  `arrayOfEdgedCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
  `static EdgeName[]`
  `arrayOfEdgeName(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
  `static EditCompletionEvent[]`
  `arrayOfEditCompletionEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
  `static EditContext[]`
  `arrayOfEditContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
  `static EditInReifyConfig[]`
  `arrayOfEditInReifyConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditInReifyConfig` objects.
  `static EditNode[]`
  `arrayOfEditNode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
  `static EditPane[]`
  `arrayOfEditPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
  `static EditProxy[]`
  `arrayOfEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
  `static EditSearchWindow[]`
  `arrayOfEditSearchWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditSearchWindow` objects.
  `static EditTree[]`
  `arrayOfEditTree(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
  `static ElementWaitConfig[]`
  `arrayOfElementWaitConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ElementWaitConfig` objects.
  `static ElementWaitStyle[]`
  `arrayOfElementWaitStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ElementWaitStyle` objects.
  `static EmbeddedPosition[]`
  `arrayOfEmbeddedPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
  `static EnableDisableTask[]`
  `arrayOfEnableDisableTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EnableDisableTask` objects.
  `static Encoding[]`
  `arrayOfEncoding(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
  `static EndProcessTask[]`
  `arrayOfEndProcessTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EndProcessTask` objects.
  `static EnterKeyEditAction[]`
  `arrayOfEnterKeyEditAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
  `static EnumTranslateStrategy[]`
  `arrayOfEnumTranslateStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
  `static ErrorCategory[]`
  `arrayOfErrorCategory(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ErrorCategory` objects.
  `static EscapeKeyEditAction[]`
  `arrayOfEscapeKeyEditAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
  `static EscapingMode[]`
  `arrayOfEscapingMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
  `static EventCanvas[]`
  `arrayOfEventCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
  `static EventSchemaMode[]`
  `arrayOfEventSchemaMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EventSchemaMode` objects.
  `static EventStream[]`
  `arrayOfEventStream(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EventStream` objects.
  `static EventStreamData[]`
  `arrayOfEventStreamData(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EventStreamData` objects.
  `static EventStreamEvent[]`
  `arrayOfEventStreamEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `EventStreamEvent` objects.
  `static ExpansionComponentPoolingMode[]`
  `arrayOfExpansionComponentPoolingMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
  `static ExpansionMode[]`
  `arrayOfExpansionMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
  `static ExportDisplay[]`
  `arrayOfExportDisplay(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
  `static ExportFormat[]`
  `arrayOfExportFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
  `static ExportImageFormat[]`
  `arrayOfExportImageFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
  `static FacadeDataSource[]`
  `arrayOfFacadeDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
  `static Facet[]`
  `arrayOfFacet(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
  `static FacetChart[]`
  `arrayOfFacetChart(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
  `static FacetChartEditProxy[]`
  `arrayOfFacetChartEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
  `static FacetIndentDirection[]`
  `arrayOfFacetIndentDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacetIndentDirection` objects.
  `static FacetValue[]`
  `arrayOfFacetValue(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
  `static FacetValueMap[]`
  `arrayOfFacetValueMap(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
  `static FetchMode[]`
  `arrayOfFetchMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
  `static FetchRelatedDataTask[]`
  `arrayOfFetchRelatedDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FetchRelatedDataTask` objects.
  `static Field[]`
  `arrayOfField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Field` objects.
  `static FieldAppearance[]`
  `arrayOfFieldAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
  `static FieldAuditMode[]`
  `arrayOfFieldAuditMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldAuditMode` objects.
  `static FieldFilterMode[]`
  `arrayOfFieldFilterMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldFilterMode` objects.
  `static FieldImportStrategy[]`
  `arrayOfFieldImportStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldImportStrategy` objects.
  `static FieldNamingStrategy[]`
  `arrayOfFieldNamingStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
  `static FieldPicker[]`
  `arrayOfFieldPicker(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
  `static FieldPickerWindow[]`
  `arrayOfFieldPickerWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
  `static FieldType[]`
  `arrayOfFieldType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
  `static FileDropZone[]`
  `arrayOfFileDropZone(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FileDropZone` objects.
  `static FileItem[]`
  `arrayOfFileItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
  `static FileItemEditProxy[]`
  `arrayOfFileItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FileItemEditProxy` objects.
  `static FileSpec[]`
  `arrayOfFileSpec(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
  `static FileUploadItem[]`
  `arrayOfFileUploadItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FileUploadItem` objects.
  `static FilterBuilder[]`
  `arrayOfFilterBuilder(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
  `static FilterClause[]`
  `arrayOfFilterClause(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
  `static FilteredList[]`
  `arrayOfFilteredList(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilteredList` objects.
  `static FilteredSelectAllAction[]`
  `arrayOfFilteredSelectAllAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilteredSelectAllAction` objects.
  `static FilterViaAIProgressDialog[]`
  `arrayOfFilterViaAIProgressDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilterViaAIProgressDialog` objects.
  `static FilterViaAISettings[]`
  `arrayOfFilterViaAISettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FilterViaAISettings` objects.
  `static FireStyle[]`
  `arrayOfFireStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
  `static FiscalCalendar[]`
  `arrayOfFiscalCalendar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
  `static FiscalYear[]`
  `arrayOfFiscalYear(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
  `static FiscalYearMode[]`
  `arrayOfFiscalYearMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
  `static Flashlet[]`
  `arrayOfFlashlet(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
  `static float[]`
  `arrayOffloat(JavaScriptObject array)`
  `static Float[]`
  `arrayOfFloat(JavaScriptObject array)`
  `static FloatItem[]`
  `arrayOfFloatItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
  `static FlowLayout[]`
  `arrayOfFlowLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
  `static ForceTextApproach[]`
  `arrayOfForceTextApproach(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
  `static FormattingContext[]`
  `arrayOfFormattingContext(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormattingContext` objects.
  `static FormClearValuesTask[]`
  `arrayOfFormClearValuesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormClearValuesTask` objects.
  `static FormDisableFieldTask[]`
  `arrayOfFormDisableFieldTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormDisableFieldTask` objects.
  `static FormEditNewRecordTask[]`
  `arrayOfFormEditNewRecordTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormEditNewRecordTask` objects.
  `static FormEditProxy[]`
  `arrayOfFormEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
  `static FormEditRecordTask[]`
  `arrayOfFormEditRecordTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormEditRecordTask` objects.
  `static FormEditSelectedTask[]`
  `arrayOfFormEditSelectedTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormEditSelectedTask` objects.
  `static FormItem[]`
  `arrayOfFormItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
  `static FormItemEditProxy[]`
  `arrayOfFormItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
  `static FormItemElementType[]`
  `arrayOfFormItemElementType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormItemElementType` objects.
  `static FormItemIcon[]`
  `arrayOfFormItemIcon(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
  `static FormItemType[]`
  `arrayOfFormItemType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
  `static FormMethod[]`
  `arrayOfFormMethod(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
  `static FormResetValuesTask[]`
  `arrayOfFormResetValuesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormResetValuesTask` objects.
  `static FormSaveDataTask[]`
  `arrayOfFormSaveDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormSaveDataTask` objects.
  `static FormSetFieldValueTask[]`
  `arrayOfFormSetFieldValueTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormSetFieldValueTask` objects.
  `static FormSetValuesTask[]`
  `arrayOfFormSetValuesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormSetValuesTask` objects.
  `static FormValidateValuesTask[]`
  `arrayOfFormValidateValuesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `FormValidateValuesTask` objects.
  `static Gauge[]`
  `arrayOfGauge(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
  `static GaugeSector[]`
  `arrayOfGaugeSector(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
  `static GetPropertiesTask[]`
  `arrayOfGetPropertiesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GetPropertiesTask` objects.
  `static Gradient[]`
  `arrayOfGradient(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
  `static GradientEditor[]`
  `arrayOfGradientEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GradientEditor` objects.
  `static GridEditProxy[]`
  `arrayOfGridEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
  `static GridEditRecordTask[]`
  `arrayOfGridEditRecordTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridEditRecordTask` objects.
  `static GridExportClientDataTask[]`
  `arrayOfGridExportClientDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridExportClientDataTask` objects.
  `static GridExportDataTask[]`
  `arrayOfGridExportDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridExportDataTask` objects.
  `static GridFetchDataTask[]`
  `arrayOfGridFetchDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridFetchDataTask` objects.
  `static GridRemoveSelectedDataTask[]`
  `arrayOfGridRemoveSelectedDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridRemoveSelectedDataTask` objects.
  `static GridRenderer[]`
  `arrayOfGridRenderer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
  `static GridSaveAllEditsTask[]`
  `arrayOfGridSaveAllEditsTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridSaveAllEditsTask` objects.
  `static GridSelectRecordsTask[]`
  `arrayOfGridSelectRecordsTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridSelectRecordsTask` objects.
  `static GridSetEditValueTask[]`
  `arrayOfGridSetEditValueTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridSetEditValueTask` objects.
  `static GridTransferDataTask[]`
  `arrayOfGridTransferDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridTransferDataTask` objects.
  `static GridViewSelectedDataTask[]`
  `arrayOfGridViewSelectedDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GridViewSelectedDataTask` objects.
  `static GroupSpecifier[]`
  `arrayOfGroupSpecifier(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GroupSpecifier` objects.
  `static GroupStartOpen[]`
  `arrayOfGroupStartOpen(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
  `static GroupSummary[]`
  `arrayOfGroupSummary(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
  `static GroupTreeChangeType[]`
  `arrayOfGroupTreeChangeType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `GroupTreeChangeType` objects.
  `static HashAlgorithm[]`
  `arrayOfHashAlgorithm(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
  `static HeaderItem[]`
  `arrayOfHeaderItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
  `static HeaderLevel[]`
  `arrayOfHeaderLevel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
  `static HeaderSpan[]`
  `arrayOfHeaderSpan(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
  `static HiddenItem[]`
  `arrayOfHiddenItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
  `static HiddenPalette[]`
  `arrayOfHiddenPalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
  `static Hilite[]`
  `arrayOfHilite(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
  `static HiliteEditor[]`
  `arrayOfHiliteEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
  `static HiliteIconPosition[]`
  `arrayOfHiliteIconPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
  `static HiliteRule[]`
  `arrayOfHiliteRule(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
  `static HiliteViaAIProgressDialog[]`
  `arrayOfHiliteViaAIProgressDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAIProgressDialog` objects.
  `static HiliteViaAIResult[]`
  `arrayOfHiliteViaAIResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAIResult` objects.
  `static HiliteViaAISettings[]`
  `arrayOfHiliteViaAISettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAISettings` objects.
  `static HLayout[]`
  `arrayOfHLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
  `static HoopSelectionStyle[]`
  `arrayOfHoopSelectionStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
  `static HoverMode[]`
  `arrayOfHoverMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
  `static HoverPersistMode[]`
  `arrayOfHoverPersistMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HoverPersistMode` objects.
  `static HStack[]`
  `arrayOfHStack(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
  `static HTMLFlow[]`
  `arrayOfHTMLFlow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
  `static HTMLPane[]`
  `arrayOfHTMLPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
  `static IButton[]`
  `arrayOfIButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
  `static IconButton[]`
  `arrayOfIconButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
  `static IconMenuButton[]`
  `arrayOfIconMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
  `static IconOverTrigger[]`
  `arrayOfIconOverTrigger(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IconOverTrigger` objects.
  `static ImageStyle[]`
  `arrayOfImageStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
  `static IMenuButton[]`
  `arrayOfIMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
  `static Img[]`
  `arrayOfImg(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
  `static ImgButton[]`
  `arrayOfImgButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
  `static ImgEditProxy[]`
  `arrayOfImgEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgEditProxy` objects.
  `static ImgHTMLProperties[]`
  `arrayOfImgHTMLProperties(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgHTMLProperties` objects.
  `static ImgProperties[]`
  `arrayOfImgProperties(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
  `static ImgSectionHeader[]`
  `arrayOfImgSectionHeader(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
  `static ImgSplitbar[]`
  `arrayOfImgSplitbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
  `static ImgTab[]`
  `arrayOfImgTab(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
  `static ImportFormat[]`
  `arrayOfImportFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ImportFormat` objects.
  `static IndicatorCanvas[]`
  `arrayOfIndicatorCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
  `static InlineEditEvent[]`
  `arrayOfInlineEditEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
  `static int[]`
  `arrayOfint(JavaScriptObject array)`
  `static Integer[]`
  `arrayOfInteger(JavaScriptObject array)`
  `static IntegerItem[]`
  `arrayOfIntegerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
  `static IPickTreeItem[]`
  `arrayOfIPickTreeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
  `static JoinType[]`
  `arrayOfJoinType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
  `static JSONCircularReferenceMode[]`
  `arrayOfJSONCircularReferenceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
  `static JSONDateFormat[]`
  `arrayOfJSONDateFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
  `static JSONEncoder[]`
  `arrayOfJSONEncoder(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
  `static JSONInstanceSerializationMode[]`
  `arrayOfJSONInstanceSerializationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
  `static JSONSchemaSettings[]`
  `arrayOfJSONSchemaSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSONSchemaSettings` objects.
  `static JSSyntaxHiliter[]`
  `arrayOfJSSyntaxHiliter(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
  `static KeyIdentifier[]`
  `arrayOfKeyIdentifier(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
  `static KnobType[]`
  `arrayOfKnobType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
  `static Label[]`
  `arrayOfLabel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
  `static LabelAlignment[]`
  `arrayOfLabelAlignment(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LabelAlignment` objects.
  `static LabelCollapseMode[]`
  `arrayOfLabelCollapseMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
  `static LabelEditProxy[]`
  `arrayOfLabelEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
  `static LabelRotationMode[]`
  `arrayOfLabelRotationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
  `static Lane[]`
  `arrayOfLane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
  `static Layout[]`
  `arrayOfLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
  `static LayoutEditProxy[]`
  `arrayOfLayoutEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
  `static LayoutPolicy[]`
  `arrayOfLayoutPolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
  `static LayoutResizeBarPolicy[]`
  `arrayOfLayoutResizeBarPolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
  `static LayoutSpacer[]`
  `arrayOfLayoutSpacer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
  `static LegendAlign[]`
  `arrayOfLegendAlign(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LegendAlign` objects.
  `static LinearGradient[]`
  `arrayOfLinearGradient(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
  `static LineBreakStyle[]`
  `arrayOfLineBreakStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
  `static LineCap[]`
  `arrayOfLineCap(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
  `static LinePattern[]`
  `arrayOfLinePattern(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
  `static LinkDataFetchMode[]`
  `arrayOfLinkDataFetchMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LinkDataFetchMode` objects.
  `static LinkItem[]`
  `arrayOfLinkItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
  `static ListGrid[]`
  `arrayOfListGrid(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
  `static ListGridComponent[]`
  `arrayOfListGridComponent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
  `static ListGridEditEvent[]`
  `arrayOfListGridEditEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
  `static ListGridField[]`
  `arrayOfListGridField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
  `static ListGridFieldType[]`
  `arrayOfListGridFieldType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
  `static ListGridRecord[]`
  `arrayOfListGridRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
  `static ListGridViewStatePart[]`
  `arrayOfListGridViewStatePart(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListGridViewStatePart` objects.
  `static ListPalette[]`
  `arrayOfListPalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
  `static ListProperties[]`
  `arrayOfListProperties(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
  `static ListPropertiesDialog[]`
  `arrayOfListPropertiesDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
  `static ListPropertiesPane[]`
  `arrayOfListPropertiesPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
  `static ListStyleType[]`
  `arrayOfListStyleType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
  `static LoadProjectErrorStatus[]`
  `arrayOfLoadProjectErrorStatus(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LoadProjectErrorStatus` objects.
  `static LoadProjectSettings[]`
  `arrayOfLoadProjectSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LoadProjectSettings` objects.
  `static LoadScreenSettings[]`
  `arrayOfLoadScreenSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LoadScreenSettings` objects.
  `static LoadState[]`
  `arrayOfLoadState(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
  `static LocatorStrategy[]`
  `arrayOfLocatorStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
  `static LocatorTypeStrategy[]`
  `arrayOfLocatorTypeStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
  `static LogicalOperator[]`
  `arrayOfLogicalOperator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
  `static LogOutTask[]`
  `arrayOfLogOutTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LogOutTask` objects.
  `static LogPriority[]`
  `arrayOfLogPriority(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
  `static Map[]`
  `arrayOfMap(JavaScriptObject nativeArray)`
  `static MatchElementSizeMode[]`
  `arrayOfMatchElementSizeMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MatchElementSizeMode` objects.
  `static MaxStackDismissMode[]`
  `arrayOfMaxStackDismissMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MaxStackDismissMode` objects.
  `static Menu[]`
  `arrayOfMenu(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
  `static MenuBar[]`
  `arrayOfMenuBar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
  `static MenuButton[]`
  `arrayOfMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
  `static MenuEditProxy[]`
  `arrayOfMenuEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
  `static MenuItem[]`
  `arrayOfMenuItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
  `static MenuPalette[]`
  `arrayOfMenuPalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
  `static MetricSettings[]`
  `arrayOfMetricSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
  `static MiniDateRangeItem[]`
  `arrayOfMiniDateRangeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
  `static MinimalScrollbarContrastSuffix[]`
  `arrayOfMinimalScrollbarContrastSuffix(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MinimalScrollbarContrastSuffix` objects.
  `static MiniNavControl[]`
  `arrayOfMiniNavControl(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
  `static MockDataFormat[]`
  `arrayOfMockDataFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDataFormat` objects.
  `static MockDataSource[]`
  `arrayOfMockDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
  `static MockDataType[]`
  `arrayOfMockDataType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
  `static MockDSExportFormat[]`
  `arrayOfMockDSExportFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportFormat` objects.
  `static MockDSExportSettings[]`
  `arrayOfMockDSExportSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportSettings` objects.
  `static MockDSExportValidatorMode[]`
  `arrayOfMockDSExportValidatorMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportValidatorMode` objects.
  `static MoveKnobPoint[]`
  `arrayOfMoveKnobPoint(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
  `static MultiComboBoxItem[]`
  `arrayOfMultiComboBoxItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
  `static MultiComboBoxLayoutStyle[]`
  `arrayOfMultiComboBoxLayoutStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
  `static MultiDecisionTask[]`
  `arrayOfMultiDecisionTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiDecisionTask` objects.
  `static MultiFileItem[]`
  `arrayOfMultiFileItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
  `static MultiFilePicker[]`
  `arrayOfMultiFilePicker(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
  `static MultiGroupDialog[]`
  `arrayOfMultiGroupDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
  `static MultiGroupPanel[]`
  `arrayOfMultiGroupPanel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupPanel` objects.
  `static MultiInsertNonMatchingStrategy[]`
  `arrayOfMultiInsertNonMatchingStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiInsertNonMatchingStrategy` objects.
  `static MultiInsertStrategy[]`
  `arrayOfMultiInsertStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiInsertStrategy` objects.
  `static MultiMessageMode[]`
  `arrayOfMultiMessageMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiMessageMode` objects.
  `static MultiPickerItem[]`
  `arrayOfMultiPickerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiPickerItem` objects.
  `static MultiPickerSelectionStyle[]`
  `arrayOfMultiPickerSelectionStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiPickerSelectionStyle` objects.
  `static MultipleAppearance[]`
  `arrayOfMultipleAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
  `static MultipleFieldStorage[]`
  `arrayOfMultipleFieldStorage(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
  `static MultiSortDialog[]`
  `arrayOfMultiSortDialog(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortDialog` objects.
  `static MultiSortPanel[]`
  `arrayOfMultiSortPanel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortPanel` objects.
  `static MultiUpdatePolicy[]`
  `arrayOfMultiUpdatePolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
  `static MultiWindowEvent[]`
  `arrayOfMultiWindowEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiWindowEvent` objects.
  `static MultiWindowSettings[]`
  `arrayOfMultiWindowSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `MultiWindowSettings` objects.
  `static NativeCheckboxItem[]`
  `arrayOfNativeCheckboxItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
  `static NavigateSplitPaneTask[]`
  `arrayOfNavigateSplitPaneTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigateSplitPaneTask` objects.
  `static NavigationBar[]`
  `arrayOfNavigationBar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
  `static NavigationBarViewState[]`
  `arrayOfNavigationBarViewState(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBarViewState` objects.
  `static NavigationButton[]`
  `arrayOfNavigationButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
  `static NavigationDirection[]`
  `arrayOfNavigationDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
  `static NavigationMethod[]`
  `arrayOfNavigationMethod(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMethod` objects.
  `static NavigationMode[]`
  `arrayOfNavigationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
  `static NavItem[]`
  `arrayOfNavItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavItem` objects.
  `static NavPanel[]`
  `arrayOfNavPanel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NavPanel` objects.
  `static NodeLocator[]`
  `arrayOfNodeLocator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NodeLocator` objects.
  `static NotifyAction[]`
  `arrayOfNotifyAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NotifyAction` objects.
  `static NotifySettings[]`
  `arrayOfNotifySettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NotifySettings` objects.
  `static NotifyTransition[]`
  `arrayOfNotifyTransition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NotifyTransition` objects.
  `static NullAccessType[]`
  `arrayOfNullAccessType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `NullAccessType` objects.
  `static Object[]`
  `arrayOfObject(JavaScriptObject array)`
  `static OpenFinWindow[]`
  `arrayOfOpenFinWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OpenFinWindow` objects.
  `static OperationBinding[]`
  `arrayOfOperationBinding(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
  `static OperatorId[]`
  `arrayOfOperatorId(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
  `static OperatorValueType[]`
  `arrayOfOperatorValueType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
  `static Orientation[]`
  `arrayOfOrientation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
  `static OutputWhen[]`
  `arrayOfOutputWhen(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OutputWhen` objects.
  `static Overflow[]`
  `arrayOfOverflow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
  `static OverlaySettings[]`
  `arrayOfOverlaySettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `OverlaySettings` objects.
  `static PageEvent[]`
  `arrayOfPageEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
  `static PageOrientation[]`
  `arrayOfPageOrientation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
  `static Palette[]`
  `arrayOfPalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
  `static PaletteNode[]`
  `arrayOfPaletteNode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
  `static PanelPlacement[]`
  `arrayOfPanelPlacement(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
  `static PartialCommitOption[]`
  `arrayOfPartialCommitOption(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
  `static PasswordItem[]`
  `arrayOfPasswordItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
  `static PercentBoxModel[]`
  `arrayOfPercentBoxModel(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
  `static PickerIconName[]`
  `arrayOfPickerIconName(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PickerIconName` objects.
  `static PickListItemIconPlacement[]`
  `arrayOfPickListItemIconPlacement(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
  `static PickListMenu[]`
  `arrayOfPickListMenu(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PickListMenu` objects.
  `static PickTreeItem[]`
  `arrayOfPickTreeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
  `static Point[]`
  `arrayOfPoint(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
  `static PointerSettings[]`
  `arrayOfPointerSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PointerSettings` objects.
  `static PointShape[]`
  `arrayOfPointShape(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
  `static PortalLayout[]`
  `arrayOfPortalLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
  `static PortalPosition[]`
  `arrayOfPortalPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
  `static Portlet[]`
  `arrayOfPortlet(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
  `static Positioning[]`
  `arrayOfPositioning(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
  `static PreRenderFormatValues[]`
  `arrayOfPreRenderFormatValues(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderFormatValues` objects.
  `static PreRenderImageMode[]`
  `arrayOfPreRenderImageMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderImageMode` objects.
  `static PreRenderMode[]`
  `arrayOfPreRenderMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderMode` objects.
  `static PreserveOpenState[]`
  `arrayOfPreserveOpenState(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
  `static PresetCriteriaItem[]`
  `arrayOfPresetCriteriaItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
  `static PresetDateRangeItem[]`
  `arrayOfPresetDateRangeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
  `static PrintCanvas[]`
  `arrayOfPrintCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
  `static PrintCanvasTask[]`
  `arrayOfPrintCanvasTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvasTask` objects.
  `static PrintProperties[]`
  `arrayOfPrintProperties(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
  `static PrintWindow[]`
  `arrayOfPrintWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
  `static Process[]`
  `arrayOfProcess(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
  `static ProcessElement[]`
  `arrayOfProcessElement(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
  `static ProcessFailure[]`
  `arrayOfProcessFailure(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProcessFailure` objects.
  `static ProcessSequence[]`
  `arrayOfProcessSequence(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
  `static ProcessValueType[]`
  `arrayOfProcessValueType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
  `static Progressbar[]`
  `arrayOfProgressbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
  `static ProgressbarEditProxy[]`
  `arrayOfProgressbarEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
  `static Project[]`
  `arrayOfProject(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Project` objects.
  `static PromiseOutcome[]`
  `arrayOfPromiseOutcome(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PromiseOutcome` objects.
  `static PromptStyle[]`
  `arrayOfPromptStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
  `static PropertyIdentifier[]`
  `arrayOfPropertyIdentifier(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
  `static PropertySheet[]`
  `arrayOfPropertySheet(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
  `static PropertyValue[]`
  `arrayOfPropertyValue(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PropertyValue` objects.
  `static ProportionalResizeMode[]`
  `arrayOfProportionalResizeMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
  `static PublishScreenConfig[]`
  `arrayOfPublishScreenConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `PublishScreenConfig` objects.
  `static QualityIndicatedLocator[]`
  `arrayOfQualityIndicatedLocator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `QualityIndicatedLocator` objects.
  `static RadialGradient[]`
  `arrayOfRadialGradient(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
  `static RadioGroupItem[]`
  `arrayOfRadioGroupItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
  `static RangeSlider[]`
  `arrayOfRangeSlider(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
  `static ReadOnlyDisplayAppearance[]`
  `arrayOfReadOnlyDisplayAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
  `static ReapplyAIFilterResponse[]`
  `arrayOfReapplyAIFilterResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ReapplyAIFilterResponse` objects.
  `static RecategorizeMode[]`
  `arrayOfRecategorizeMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
  `static Record[]`
  `arrayOfRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
  `static RecordComponentPoolingMode[]`
  `arrayOfRecordComponentPoolingMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
  `static RecordDropAppearance[]`
  `arrayOfRecordDropAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
  `static RecordDropPosition[]`
  `arrayOfRecordDropPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
  `static RecordEditor[]`
  `arrayOfRecordEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
  `static RecordLayout[]`
  `arrayOfRecordLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
  `static RecordSummaryFunctionType[]`
  `arrayOfRecordSummaryFunctionType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
  `static RecordType[]`
  `arrayOfRecordType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RecordType` objects.
  `static RegressionLineType[]`
  `arrayOfRegressionLineType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
  `static Reify[]`
  `arrayOfReify(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Reify` objects.
  `static ReifyDSSettings[]`
  `arrayOfReifyDSSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ReifyDSSettings` objects.
  `static ReifyLoadConfig[]`
  `arrayOfReifyLoadConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ReifyLoadConfig` objects.
  `static RelationPath[]`
  `arrayOfRelationPath(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RelationPath` objects.
  `static RelativeDate[]`
  `arrayOfRelativeDate(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
  `static RelativeDateItem[]`
  `arrayOfRelativeDateItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
  `static RelativeDateRangePosition[]`
  `arrayOfRelativeDateRangePosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
  `static RemoteWindow[]`
  `arrayOfRemoteWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RemoteWindow` objects.
  `static ReorderPosition[]`
  `arrayOfReorderPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
  `static ResetItem[]`
  `arrayOfResetItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
  `static ResetPasswordTask[]`
  `arrayOfResetPasswordTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ResetPasswordTask` objects.
  `static ResizeDirection[]`
  `arrayOfResizeDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ResizeDirection` objects.
  `static ResizeKnobPoint[]`
  `arrayOfResizeKnobPoint(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
  `static RESTAuthenticationType[]`
  `arrayOfRESTAuthenticationType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RESTAuthenticationType` objects.
  `static RestDataSource[]`
  `arrayOfRestDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
  `static RESTRequestFormat[]`
  `arrayOfRESTRequestFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RESTRequestFormat` objects.
  `static RESTResponseFormat[]`
  `arrayOfRESTResponseFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RESTResponseFormat` objects.
  `static ResultTree[]`
  `arrayOfResultTree(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
  `static RibbonBar[]`
  `arrayOfRibbonBar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
  `static RibbonButton[]`
  `arrayOfRibbonButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RibbonButton` objects.
  `static RibbonGroup[]`
  `arrayOfRibbonGroup(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
  `static RibbonMenuButton[]`
  `arrayOfRibbonMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RibbonMenuButton` objects.
  `static RichTextEditor[]`
  `arrayOfRichTextEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
  `static RichTextItem[]`
  `arrayOfRichTextItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
  `static RowCountStatus[]`
  `arrayOfRowCountStatus(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowCountStatus` objects.
  `static RowEndEditAction[]`
  `arrayOfRowEndEditAction(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
  `static RowRangeDisplay[]`
  `arrayOfRowRangeDisplay(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowRangeDisplay` objects.
  `static RowRangeDisplayStyle[]`
  `arrayOfRowRangeDisplayStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowRangeDisplayStyle` objects.
  `static RowSpacerItem[]`
  `arrayOfRowSpacerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
  `static RowSpanEditMode[]`
  `arrayOfRowSpanEditMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
  `static RowSpanSelectionMode[]`
  `arrayOfRowSpanSelectionMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
  `static RPCRequest[]`
  `arrayOfRPCRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
  `static RPCResponse[]`
  `arrayOfRPCResponse(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
  `static RPCTransport[]`
  `arrayOfRPCTransport(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
  `static SavedSearchEditor[]`
  `arrayOfSavedSearchEditor(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchEditor` objects.
  `static SavedSearches[]`
  `arrayOfSavedSearches(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearches` objects.
  `static SavedSearchItem[]`
  `arrayOfSavedSearchItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchItem` objects.
  `static SavedSearchItemEditProxy[]`
  `arrayOfSavedSearchItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchItemEditProxy` objects.
  `static SavedSearchStoredState[]`
  `arrayOfSavedSearchStoredState(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchStoredState` objects.
  `static ScanMode[]`
  `arrayOfScanMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ScanMode` objects.
  `static ScreenLoader[]`
  `arrayOfScreenLoader(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ScreenLoader` objects.
  `static ScriptTask[]`
  `arrayOfScriptTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
  `static Scrollbar[]`
  `arrayOfScrollbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
  `static SCStatefulImgConfig[]`
  `arrayOfSCStatefulImgConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SCStatefulImgConfig` objects.
  `static SearchEditorMode[]`
  `arrayOfSearchEditorMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SearchEditorMode` objects.
  `static SearchForm[]`
  `arrayOfSearchForm(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
  `static SectionHeader[]`
  `arrayOfSectionHeader(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
  `static SectionItem[]`
  `arrayOfSectionItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
  `static SectionStack[]`
  `arrayOfSectionStack(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
  `static SectionStackEditProxy[]`
  `arrayOfSectionStackEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
  `static SectionStackSection[]`
  `arrayOfSectionStackSection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
  `static SectionStackSectionEditProxy[]`
  `arrayOfSectionStackSectionEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSectionEditProxy` objects.
  `static Selected[]`
  `arrayOfSelected(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
  `static SelectedAppearance[]`
  `arrayOfSelectedAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
  `static SelectionAppearance[]`
  `arrayOfSelectionAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
  `static SelectionBoundary[]`
  `arrayOfSelectionBoundary(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
  `static SelectionNotificationType[]`
  `arrayOfSelectionNotificationType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
  `static SelectionStyle[]`
  `arrayOfSelectionStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
  `static SelectionTreeMenu[]`
  `arrayOfSelectionTreeMenu(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
  `static SelectionType[]`
  `arrayOfSelectionType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
  `static SelectItem[]`
  `arrayOfSelectItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
  `static SelectItemEditProxy[]`
  `arrayOfSelectItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
  `static SelectItemsMode[]`
  `arrayOfSelectItemsMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
  `static SelectOtherItem[]`
  `arrayOfSelectOtherItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
  `static SeleneseRecorder[]`
  `arrayOfSeleneseRecorder(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SeleneseRecorder` objects.
  `static SeleneseSettings[]`
  `arrayOfSeleneseSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SeleneseSettings` objects.
  `static SeleniumCommand[]`
  `arrayOfSeleniumCommand(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SeleniumCommand` objects.
  `static SendMethod[]`
  `arrayOfSendMethod(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
  `static SendTransactionTask[]`
  `arrayOfSendTransactionTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SendTransactionTask` objects.
  `static SequenceMode[]`
  `arrayOfSequenceMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
  `static SerializationSettings[]`
  `arrayOfSerializationSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
  `static SetFilterItem[]`
  `arrayOfSetFilterItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SetFilterItem` objects.
  `static SetPropertiesTask[]`
  `arrayOfSetPropertiesTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SetPropertiesTask` objects.
  `static SetScreenDataTask[]`
  `arrayOfSetScreenDataTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SetScreenDataTask` objects.
  `static SetTitleTask[]`
  `arrayOfSetTitleTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SetTitleTask` objects.
  `static SettledPromiseStatus[]`
  `arrayOfSettledPromiseStatus(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SettledPromiseStatus` objects.
  `static Shadow[]`
  `arrayOfShadow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
  `static ShowComponentTask[]`
  `arrayOfShowComponentTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowComponentTask` objects.
  `static ShowDataValuesMode[]`
  `arrayOfShowDataValuesMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowDataValuesMode` objects.
  `static ShowHideTask[]`
  `arrayOfShowHideTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowHideTask` objects.
  `static ShowMessageTask[]`
  `arrayOfShowMessageTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowMessageTask` objects.
  `static ShowMessageType[]`
  `arrayOfShowMessageType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowMessageType` objects.
  `static ShowNextToComponentTask[]`
  `arrayOfShowNextToComponentTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowNextToComponentTask` objects.
  `static ShowNotificationTask[]`
  `arrayOfShowNotificationTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShowNotificationTask` objects.
  `static Shuttle[]`
  `arrayOfShuttle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Shuttle` objects.
  `static ShuttleItem[]`
  `arrayOfShuttleItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ShuttleItem` objects.
  `static Side[]`
  `arrayOfSide(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
  `static SimpleGradient[]`
  `arrayOfSimpleGradient(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
  `static SimpleTile[]`
  `arrayOfSimpleTile(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
  `static SimpleType[]`
  `arrayOfSimpleType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
  `static SingleSourceAIRequest[]`
  `arrayOfSingleSourceAIRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SingleSourceAIRequest` objects.
  `static SkipJSONValidation[]`
  `arrayOfSkipJSONValidation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SkipJSONValidation` objects.
  `static Slider[]`
  `arrayOfSlider(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
  `static SliderItem[]`
  `arrayOfSliderItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
  `static Snapbar[]`
  `arrayOfSnapbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
  `static SnapGridStyle[]`
  `arrayOfSnapGridStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SnapGridStyle` objects.
  `static SortArrow[]`
  `arrayOfSortArrow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
  `static SortDirection[]`
  `arrayOfSortDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
  `static SortSpecifier[]`
  `arrayOfSortSpecifier(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
  `static Sound[]`
  `arrayOfSound(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Sound` objects.
  `static SpacerItem[]`
  `arrayOfSpacerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
  `static SpinnerItem[]`
  `arrayOfSpinnerItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
  `static Splitbar[]`
  `arrayOfSplitbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
  `static SplitPane[]`
  `arrayOfSplitPane(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
  `static SplitPaneEditProxy[]`
  `arrayOfSplitPaneEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
  `static SQLPagingStrategy[]`
  `arrayOfSQLPagingStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
  `static StackDirection[]`
  `arrayOfStackDirection(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StackDirection` objects.
  `static StackPersistence[]`
  `arrayOfStackPersistence(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StackPersistence` objects.
  `static StandardControlGroup[]`
  `arrayOfStandardControlGroup(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
  `static StartProcessTask[]`
  `arrayOfStartProcessTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StartProcessTask` objects.
  `static StartTransactionTask[]`
  `arrayOfStartTransactionTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StartTransactionTask` objects.
  `static State[]`
  `arrayOfState(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
  `static StatefulCanvas[]`
  `arrayOfStatefulCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
  `static StatefulCanvasEditProxy[]`
  `arrayOfStatefulCanvasEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
  `static StateTask[]`
  `arrayOfStateTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
  `static StaticTextItem[]`
  `arrayOfStaticTextItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
  `static StretchImg[]`
  `arrayOfStretchImg(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
  `static StretchImgButton[]`
  `arrayOfStretchImgButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
  `static StretchItem[]`
  `arrayOfStretchItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
  `static String[]`
  `arrayOfString(JavaScriptObject array)`
  `static StyleGroup[]`
  `arrayOfStyleGroup(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StyleGroup` objects.
  `static StyleSetting[]`
  `arrayOfStyleSetting(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StyleSetting` objects.
  `static StyleSheetHandler[]`
  `arrayOfStyleSheetHandler(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `StyleSheetHandler` objects.
  `static SubmitItem[]`
  `arrayOfSubmitItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
  `static SuggestRecordSummaryTitleResult[]`
  `arrayOfSuggestRecordSummaryTitleResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SuggestRecordSummaryTitleResult` objects.
  `static SummarizeRecordsResult[]`
  `arrayOfSummarizeRecordsResult(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SummarizeRecordsResult` objects.
  `static SummarizeValueExample[]`
  `arrayOfSummarizeValueExample(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SummarizeValueExample` objects.
  `static SummaryFunctionType[]`
  `arrayOfSummaryFunctionType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
  `static SVG[]`
  `arrayOfSVG(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
  `static SyntaxHiliter[]`
  `arrayOfSyntaxHiliter(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
  `static SystemAIRequest[]`
  `arrayOfSystemAIRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SystemAIRequest` objects.
  `static SystemDoneConfig[]`
  `arrayOfSystemDoneConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SystemDoneConfig` objects.
  `static SystemWaitConfig[]`
  `arrayOfSystemWaitConfig(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `SystemWaitConfig` objects.
  `static Tab[]`
  `arrayOfTab(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
  `static TabBar[]`
  `arrayOfTabBar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
  `static TableMode[]`
  `arrayOfTableMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
  `static TableView[]`
  `arrayOfTableView(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
  `static TabSet[]`
  `arrayOfTabSet(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
  `static TabSetEditProxy[]`
  `arrayOfTabSetEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
  `static TabTitleEditEvent[]`
  `arrayOfTabTitleEditEvent(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
  `static Task[]`
  `arrayOfTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
  `static TaskDecision[]`
  `arrayOfTaskDecision(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TaskDecision` objects.
  `static TaskResultModifications[]`
  `arrayOfTaskResultModifications(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TaskResultModifications` objects.
  `static TextAreaItem[]`
  `arrayOfTextAreaItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
  `static TextAreaItemEditProxy[]`
  `arrayOfTextAreaItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
  `static TextAreaWrap[]`
  `arrayOfTextAreaWrap(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
  `static TextExportSettings[]`
  `arrayOfTextExportSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
  `static TextImportSettings[]`
  `arrayOfTextImportSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
  `static TextItem[]`
  `arrayOfTextItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
  `static TextItemEditProxy[]`
  `arrayOfTextItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
  `static TextMatchStyle[]`
  `arrayOfTextMatchStyle(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
  `static TextSettings[]`
  `arrayOfTextSettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
  `static TieMode[]`
  `arrayOfTieMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TieMode` objects.
  `static TileGrid[]`
  `arrayOfTileGrid(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
  `static TileLayout[]`
  `arrayOfTileLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
  `static TileLayoutPolicy[]`
  `arrayOfTileLayoutPolicy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
  `static TilePalette[]`
  `arrayOfTilePalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
  `static TileRecord[]`
  `arrayOfTileRecord(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
  `static TimeDisplayFormat[]`
  `arrayOfTimeDisplayFormat(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
  `static TimeItem[]`
  `arrayOfTimeItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
  `static Timeline[]`
  `arrayOfTimeline(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
  `static TimeUnit[]`
  `arrayOfTimeUnit(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
  `static TitleAlign[]`
  `arrayOfTitleAlign(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TitleAlign` objects.
  `static TitleAutoFitRotationMode[]`
  `arrayOfTitleAutoFitRotationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TitleAutoFitRotationMode` objects.
  `static TitleOrientation[]`
  `arrayOfTitleOrientation(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
  `static TitleRotationMode[]`
  `arrayOfTitleRotationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TitleRotationMode` objects.
  `static ToggleItem[]`
  `arrayOfToggleItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToggleItem` objects.
  `static ToggleSwitch[]`
  `arrayOfToggleSwitch(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToggleSwitch` objects.
  `static Toolbar[]`
  `arrayOfToolbar(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Toolbar` objects.
  `static ToolbarItem[]`
  `arrayOfToolbarItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
  `static ToolbarItemEditProxy[]`
  `arrayOfToolbarItemEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItemEditProxy` objects.
  `static ToolStrip[]`
  `arrayOfToolStrip(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
  `static ToolStripButton[]`
  `arrayOfToolStripButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
  `static ToolStripGroup[]`
  `arrayOfToolStripGroup(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
  `static ToolStripMenuButton[]`
  `arrayOfToolStripMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
  `static ToolStripResizer[]`
  `arrayOfToolStripResizer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
  `static ToolStripSeparator[]`
  `arrayOfToolStripSeparator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
  `static ToolStripSpacer[]`
  `arrayOfToolStripSpacer(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSpacer` objects.
  `static TopOperatorAppearance[]`
  `arrayOfTopOperatorAppearance(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
  `static Tour[]`
  `arrayOfTour(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Tour` objects.
  `static TourActionType[]`
  `arrayOfTourActionType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourActionType` objects.
  `static TourConfirmStep[]`
  `arrayOfTourConfirmStep(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourConfirmStep` objects.
  `static TourInputValidationMode[]`
  `arrayOfTourInputValidationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourInputValidationMode` objects.
  `static TourMode[]`
  `arrayOfTourMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourMode` objects.
  `static TourStep[]`
  `arrayOfTourStep(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourStep` objects.
  `static TourWindow[]`
  `arrayOfTourWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TourWindow` objects.
  `static Tree[]`
  `arrayOfTree(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
  `static TreeFilterMode[]`
  `arrayOfTreeFilterMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
  `static TreeGrid[]`
  `arrayOfTreeGrid(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
  `static TreeGridField[]`
  `arrayOfTreeGridField(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
  `static TreeMenuButton[]`
  `arrayOfTreeMenuButton(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
  `static TreeModelType[]`
  `arrayOfTreeModelType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
  `static TreeNode[]`
  `arrayOfTreeNode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
  `static TreePalette[]`
  `arrayOfTreePalette(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
  `static Tutorial[]`
  `arrayOfTutorial(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Tutorial` objects.
  `static UISummarySettings[]`
  `arrayOfUISummarySettings(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UISummarySettings` objects.
  `static UnionFieldsStrategy[]`
  `arrayOfUnionFieldsStrategy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UnionFieldsStrategy` objects.
  `static UploadItem[]`
  `arrayOfUploadItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
  `static UserAIRequest[]`
  `arrayOfUserAIRequest(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserAIRequest` objects.
  `static UserConfirmationGateway[]`
  `arrayOfUserConfirmationGateway(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserConfirmationGateway` objects.
  `static UserConfirmationTask[]`
  `arrayOfUserConfirmationTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserConfirmationTask` objects.
  `static UserFormula[]`
  `arrayOfUserFormula(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
  `static UserSummary[]`
  `arrayOfUserSummary(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
  `static UserTask[]`
  `arrayOfUserTask(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
  `static ValidationMode[]`
  `arrayOfValidationMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
  `static Validator[]`
  `arrayOfValidator(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
  `static ValidatorType[]`
  `arrayOfValidatorType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
  `static ValueClass[]`
  `arrayOfValueClass(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ValueClass` objects.
  `static ValueItemType[]`
  `arrayOfValueItemType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
  `static ValuesManager[]`
  `arrayOfValuesManager(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
  `static VerticalAlignment[]`
  `arrayOfVerticalAlignment(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
  `static ViewFileItem[]`
  `arrayOfViewFileItem(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
  `static ViewLoader[]`
  `arrayOfViewLoader(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
  `static ViewName[]`
  `arrayOfViewName(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
  `static Visibility[]`
  `arrayOfVisibility(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
  `static VisibilityMode[]`
  `arrayOfVisibilityMode(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
  `static VLayout[]`
  `arrayOfVLayout(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
  `static VStack[]`
  `arrayOfVStack(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
  `static WaitForType[]`
  `arrayOfWaitForType(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `WaitForType` objects.
  `static Window[]`
  `arrayOfWindow(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
  `static WindowEditProxy[]`
  `arrayOfWindowEditProxy(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
  `static WriteToGeneratedFields[]`
  `arrayOfWriteToGeneratedFields(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `WriteToGeneratedFields` objects.
  `static WSDataSource[]`
  `arrayOfWSDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
  `static XJSONDataSource[]`
  `arrayOfXJSONDataSource(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
  `static XMLSyntaxHiliter[]`
  `arrayOfXMLSyntaxHiliter(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
  `static XORGateway[]`
  `arrayOfXORGateway(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
  `static ZoneCanvas[]`
  `arrayOfZoneCanvas(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
  `static ZoomStartPosition[]`
  `arrayOfZoomStartPosition(JavaScriptObject nativeArray)`
  Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### arrayOfint

    public static int[] arrayOfint(JavaScriptObject array)

  - ### arrayOfInteger

    public static Integer[] arrayOfInteger(JavaScriptObject array)

  - ### arrayOfString

    public static String[] arrayOfString(JavaScriptObject array)

  - ### arrayOfFloat

    public static Float[] arrayOfFloat(JavaScriptObject array)

  - ### arrayOffloat

    public static float[] arrayOffloat(JavaScriptObject array)

  - ### arrayOfdouble

    public static double[] arrayOfdouble(JavaScriptObject array)

  - ### arrayOfDate

    public static Date[] arrayOfDate(JavaScriptObject array)

  - ### arrayOfObject

    public static Object[] arrayOfObject(JavaScriptObject array)

  - ### arrayOfMap

    public static Map[] arrayOfMap(JavaScriptObject nativeArray)

  - ### arrayOfDrawShape

    public static DrawShape[] arrayOfDrawShape(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawShape` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawShape[]

  - ### arrayOfSelected

    public static Selected[] arrayOfSelected(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Selected` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Selected[]

  - ### arrayOfAdvancedCriterionSubquery

    public static AdvancedCriterionSubquery[] arrayOfAdvancedCriterionSubquery(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriterionSubquery` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.AdvancedCriterionSubquery[]

  - ### arrayOfResetPasswordTask

    public static ResetPasswordTask[] arrayOfResetPasswordTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ResetPasswordTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ResetPasswordTask[]

  - ### arrayOfSpacerItem

    public static SpacerItem[] arrayOfSpacerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SpacerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SpacerItem[]

  - ### arrayOfHStack

    public static HStack[] arrayOfHStack(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HStack` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.HStack[]

  - ### arrayOfTimeline

    public static Timeline[] arrayOfTimeline(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Timeline` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.Timeline[]

  - ### arrayOfSetTitleTask

    public static SetTitleTask[] arrayOfSetTitleTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SetTitleTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.SetTitleTask[]

  - ### arrayOfNavItem

    public static NavItem[] arrayOfNavItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.NavItem[]

  - ### arrayOfSimpleType

    public static SimpleType[] arrayOfSimpleType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SimpleType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.SimpleType[]

  - ### arrayOfRelativeDate

    public static RelativeDate[] arrayOfRelativeDate(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDate` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.RelativeDate[]

  - ### arrayOfFieldPicker

    public static FieldPicker[] arrayOfFieldPicker(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldPicker` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.FieldPicker[]

  - ### arrayOfMockDSExportFormat

    public static MockDSExportFormat[] arrayOfMockDSExportFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MockDSExportFormat[]

  - ### arrayOfToolStripMenuButton

    public static ToolStripMenuButton[] arrayOfToolStripMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripMenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripMenuButton[]

  - ### arrayOfPreserveOpenState

    public static PreserveOpenState[] arrayOfPreserveOpenState(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PreserveOpenState` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PreserveOpenState[]

  - ### arrayOfValidatorType

    public static ValidatorType[] arrayOfValidatorType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ValidatorType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ValidatorType[]

  - ### arrayOfTextAreaWrap

    public static TextAreaWrap[] arrayOfTextAreaWrap(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaWrap` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TextAreaWrap[]

  - ### arrayOfAnimateShowEffect

    public static AnimateShowEffect[] arrayOfAnimateShowEffect(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AnimateShowEffect` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.AnimateShowEffect[]

  - ### arrayOfEdgedCanvas

    public static EdgedCanvas[] arrayOfEdgedCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EdgedCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.EdgedCanvas[]

  - ### arrayOfAutoSelectionModel

    public static AutoSelectionModel[] arrayOfAutoSelectionModel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoSelectionModel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoSelectionModel[]

  - ### arrayOfAutoFitTextAreaItem

    public static AutoFitTextAreaItem[] arrayOfAutoFitTextAreaItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitTextAreaItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.AutoFitTextAreaItem[]

  - ### arrayOfTabSet

    public static TabSet[] arrayOfTabSet(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TabSet` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tab.TabSet[]

  - ### arrayOfDSInheritanceMode

    public static DSInheritanceMode[] arrayOfDSInheritanceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSInheritanceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DSInheritanceMode[]

  - ### arrayOfKnobType

    public static KnobType[] arrayOfKnobType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `KnobType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.KnobType[]

  - ### arrayOfSerializationSettings

    public static SerializationSettings[] arrayOfSerializationSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SerializationSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SerializationSettings[]

  - ### arrayOfFieldFilterMode

    public static FieldFilterMode[] arrayOfFieldFilterMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldFilterMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldFilterMode[]

  - ### arrayOfGridTransferDataTask

    public static GridTransferDataTask[] arrayOfGridTransferDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridTransferDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridTransferDataTask[]

  - ### arrayOfSpinnerItem

    public static SpinnerItem[] arrayOfSpinnerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SpinnerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SpinnerItem[]

  - ### arrayOfIPickTreeItem

    public static IPickTreeItem[] arrayOfIPickTreeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IPickTreeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.IPickTreeItem[]

  - ### arrayOfAceCompleter

    public static AceCompleter[] arrayOfAceCompleter(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceCompleter` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceCompleter[]

  - ### arrayOfFacetValue

    public static FacetValue[] arrayOfFacetValue(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacetValue` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.cube.FacetValue[]

  - ### arrayOfBaseWidget

    public static BaseWidget[] arrayOfBaseWidget(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BaseWidget` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.BaseWidget[]

  - ### arrayOfSectionItem

    public static SectionItem[] arrayOfSectionItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SectionItem[]

  - ### arrayOfNotifyAction

    public static NotifyAction[] arrayOfNotifyAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NotifyAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.notify.NotifyAction[]

  - ### arrayOfFormMethod

    public static FormMethod[] arrayOfFormMethod(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormMethod` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FormMethod[]

  - ### arrayOfFiscalCalendar

    public static FiscalCalendar[] arrayOfFiscalCalendar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FiscalCalendar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.FiscalCalendar[]

  - ### arrayOfShuttle

    public static Shuttle[] arrayOfShuttle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Shuttle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.Shuttle[]

  - ### arrayOfIconButton

    public static IconButton[] arrayOfIconButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IconButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.IconButton[]

  - ### arrayOfSQLPagingStrategy

    public static SQLPagingStrategy[] arrayOfSQLPagingStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SQLPagingStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SQLPagingStrategy[]

  - ### arrayOfSectionHeader

    public static SectionHeader[] arrayOfSectionHeader(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionHeader` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.SectionHeader[]

  - ### arrayOfCreateScreenSettings

    public static CreateScreenSettings[] arrayOfCreateScreenSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CreateScreenSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.CreateScreenSettings[]

  - ### arrayOfDataQuestionSettings

    public static DataQuestionSettings[] arrayOfDataQuestionSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestionSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.DataQuestionSettings[]

  - ### arrayOfShadow

    public static Shadow[] arrayOfShadow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Shadow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.Shadow[]

  - ### arrayOfStatefulCanvas

    public static StatefulCanvas[] arrayOfStatefulCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.StatefulCanvas[]

  - ### arrayOfGridSelectRecordsTask

    public static GridSelectRecordsTask[] arrayOfGridSelectRecordsTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridSelectRecordsTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridSelectRecordsTask[]

  - ### arrayOfEventStreamData

    public static EventStreamData[] arrayOfEventStreamData(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EventStreamData` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.stream.EventStreamData[]

  - ### arrayOfTableMode

    public static TableMode[] arrayOfTableMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TableMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TableMode[]

  - ### arrayOfBrowserPlugin

    public static BrowserPlugin[] arrayOfBrowserPlugin(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BrowserPlugin` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.plugins.BrowserPlugin[]

  - ### arrayOfDragDataAction

    public static DragDataAction[] arrayOfDragDataAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DragDataAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DragDataAction[]

  - ### arrayOfFieldPickerWindow

    public static FieldPickerWindow[] arrayOfFieldPickerWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldPickerWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.FieldPickerWindow[]

  - ### arrayOfMultiWindowSettings

    public static MultiWindowSettings[] arrayOfMultiWindowSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiWindowSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.browser.window.MultiWindowSettings[]

  - ### arrayOfFormItemEditProxy

    public static FormItemEditProxy[] arrayOfFormItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.FormItemEditProxy[]

  - ### arrayOfClickMaskMode

    public static ClickMaskMode[] arrayOfClickMaskMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ClickMaskMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ClickMaskMode[]

  - ### arrayOfFileUploadItem

    public static FileUploadItem[] arrayOfFileUploadItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FileUploadItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.FileUploadItem[]

  - ### arrayOfAdminSearches

    public static AdminSearches[] arrayOfAdminSearches(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AdminSearches` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AdminSearches[]

  - ### arrayOfOverflow

    public static Overflow[] arrayOfOverflow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Overflow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Overflow[]

  - ### arrayOfRPCResponse

    public static RPCResponse[] arrayOfRPCResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RPCResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.RPCResponse[]

  - ### arrayOfSystemWaitConfig

    public static SystemWaitConfig[] arrayOfSystemWaitConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SystemWaitConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.SystemWaitConfig[]

  - ### arrayOfButton

    public static Button[] arrayOfButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Button` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Button[]

  - ### arrayOfNullAccessType

    public static NullAccessType[] arrayOfNullAccessType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NullAccessType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.NullAccessType[]

  - ### arrayOfAIRequest

    public static AIRequest[] arrayOfAIRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIRequest[]

  - ### arrayOfTimeItem

    public static TimeItem[] arrayOfTimeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TimeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.TimeItem[]

  - ### arrayOfScreenLoader

    public static ScreenLoader[] arrayOfScreenLoader(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ScreenLoader` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.ScreenLoader[]

  - ### arrayOfAutoFitEvent

    public static AutoFitEvent[] arrayOfAutoFitEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoFitEvent[]

  - ### arrayOfPickListItemIconPlacement

    public static PickListItemIconPlacement[] arrayOfPickListItemIconPlacement(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PickListItemIconPlacement` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PickListItemIconPlacement[]

  - ### arrayOfSelectionAppearance

    public static SelectionAppearance[] arrayOfSelectionAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectionAppearance[]

  - ### arrayOfPortlet

    public static Portlet[] arrayOfPortlet(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Portlet` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.Portlet[]

  - ### arrayOfAsyncOperationResultType

    public static AsyncOperationResultType[] arrayOfAsyncOperationResultType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationResultType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AsyncOperationResultType[]

  - ### arrayOfArrowKeyEditAction

    public static ArrowKeyEditAction[] arrayOfArrowKeyEditAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ArrowKeyEditAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ArrowKeyEditAction[]

  - ### arrayOfOperatorId

    public static OperatorId[] arrayOfOperatorId(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OperatorId` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.OperatorId[]

  - ### arrayOfDataURLFormat

    public static DataURLFormat[] arrayOfDataURLFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataURLFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DataURLFormat[]

  - ### arrayOfFormItem

    public static FormItem[] arrayOfFormItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.FormItem[]

  - ### arrayOfCancellationController

    public static CancellationController[] arrayOfCancellationController(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CancellationController` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.CancellationController[]

  - ### arrayOfStyleGroup

    public static StyleGroup[] arrayOfStyleGroup(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StyleGroup` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.StyleGroup[]

  - ### arrayOfStackDirection

    public static StackDirection[] arrayOfStackDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StackDirection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.StackDirection[]

  - ### arrayOfDateRangeDialog

    public static DateRangeDialog[] arrayOfDateRangeDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.DateRangeDialog[]

  - ### arrayOfGridRemoveSelectedDataTask

    public static GridRemoveSelectedDataTask[] arrayOfGridRemoveSelectedDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridRemoveSelectedDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridRemoveSelectedDataTask[]

  - ### arrayOfPointShape

    public static PointShape[] arrayOfPointShape(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PointShape` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PointShape[]

  - ### arrayOfProject

    public static Project[] arrayOfProject(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Project` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.Project[]

  - ### arrayOfAIMessageSource

    public static AIMessageSource[] arrayOfAIMessageSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIMessageSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AIMessageSource[]

  - ### arrayOfAceEditSession

    public static AceEditSession[] arrayOfAceEditSession(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceEditSession` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceEditSession[]

  - ### arrayOfDragTrackerMode

    public static DragTrackerMode[] arrayOfDragTrackerMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DragTrackerMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DragTrackerMode[]

  - ### arrayOfImageStyle

    public static ImageStyle[] arrayOfImageStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImageStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ImageStyle[]

  - ### arrayOfTitleAutoFitRotationMode

    public static TitleAutoFitRotationMode[] arrayOfTitleAutoFitRotationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TitleAutoFitRotationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TitleAutoFitRotationMode[]

  - ### arrayOfRecord

    public static Record[] arrayOfRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Record` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.Record[]

  - ### arrayOfTileLayoutPolicy

    public static TileLayoutPolicy[] arrayOfTileLayoutPolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TileLayoutPolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TileLayoutPolicy[]

  - ### arrayOfEscapingMode

    public static EscapingMode[] arrayOfEscapingMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EscapingMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EscapingMode[]

  - ### arrayOfJSONDateFormat

    public static JSONDateFormat[] arrayOfJSONDateFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSONDateFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.JSONDateFormat[]

  - ### arrayOfMockDataSource

    public static MockDataSource[] arrayOfMockDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.MockDataSource[]

  - ### arrayOfUploadItem

    public static UploadItem[] arrayOfUploadItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UploadItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.UploadItem[]

  - ### arrayOfLinkDataFetchMode

    public static LinkDataFetchMode[] arrayOfLinkDataFetchMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LinkDataFetchMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LinkDataFetchMode[]

  - ### arrayOfProgressbar

    public static Progressbar[] arrayOfProgressbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Progressbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Progressbar[]

  - ### arrayOfDragMaskType

    public static DragMaskType[] arrayOfDragMaskType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DragMaskType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DragMaskType[]

  - ### arrayOfListGridEditEvent

    public static ListGridEditEvent[] arrayOfListGridEditEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridEditEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ListGridEditEvent[]

  - ### arrayOfIButton

    public static IButton[] arrayOfIButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.IButton[]

  - ### arrayOfBuildHilitesResponse

    public static BuildHilitesResponse[] arrayOfBuildHilitesResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildHilitesResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildHilitesResponse[]

  - ### arrayOfToolStrip

    public static ToolStrip[] arrayOfToolStrip(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStrip` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStrip[]

  - ### arrayOfColorPickerMode

    public static ColorPickerMode[] arrayOfColorPickerMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ColorPickerMode[]

  - ### arrayOfFilterClause

    public static FilterClause[] arrayOfFilterClause(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilterClause` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.FilterClause[]

  - ### arrayOfDateRangeItem

    public static DateRangeItem[] arrayOfDateRangeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateRangeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.DateRangeItem[]

  - ### arrayOfRPCRequest

    public static RPCRequest[] arrayOfRPCRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RPCRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.RPCRequest[]

  - ### arrayOfTreeGrid

    public static TreeGrid[] arrayOfTreeGrid(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeGrid` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.TreeGrid[]

  - ### arrayOfSavedSearchItem

    public static SavedSearchItem[] arrayOfSavedSearchItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SavedSearchItem[]

  - ### arrayOfMaxStackDismissMode

    public static MaxStackDismissMode[] arrayOfMaxStackDismissMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MaxStackDismissMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MaxStackDismissMode[]

  - ### arrayOfPageOrientation

    public static PageOrientation[] arrayOfPageOrientation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PageOrientation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PageOrientation[]

  - ### arrayOfDetailViewerEditProxy

    public static DetailViewerEditProxy[] arrayOfDetailViewerEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DetailViewerEditProxy[]

  - ### arrayOfHoverMode

    public static HoverMode[] arrayOfHoverMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HoverMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.HoverMode[]

  - ### arrayOfSummarizeRecordsResult

    public static SummarizeRecordsResult[] arrayOfSummarizeRecordsResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SummarizeRecordsResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.SummarizeRecordsResult[]

  - ### arrayOfPickerIconName

    public static PickerIconName[] arrayOfPickerIconName(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PickerIconName` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PickerIconName[]

  - ### arrayOfEditSearchWindow

    public static EditSearchWindow[] arrayOfEditSearchWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditSearchWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.EditSearchWindow[]

  - ### arrayOfDrawShapeCommand

    public static DrawShapeCommand[] arrayOfDrawShapeCommand(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommand` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawShapeCommand[]

  - ### arrayOfSelectItem

    public static SelectItem[] arrayOfSelectItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SelectItem[]

  - ### arrayOfLabelEditProxy

    public static LabelEditProxy[] arrayOfLabelEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LabelEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.LabelEditProxy[]

  - ### arrayOfFieldNamingStrategy

    public static FieldNamingStrategy[] arrayOfFieldNamingStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldNamingStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldNamingStrategy[]

  - ### arrayOfGetPropertiesTask

    public static GetPropertiesTask[] arrayOfGetPropertiesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GetPropertiesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GetPropertiesTask[]

  - ### arrayOfGridViewSelectedDataTask

    public static GridViewSelectedDataTask[] arrayOfGridViewSelectedDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridViewSelectedDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridViewSelectedDataTask[]

  - ### arrayOfTourConfirmStep

    public static TourConfirmStep[] arrayOfTourConfirmStep(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourConfirmStep` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.tour.TourConfirmStep[]

  - ### arrayOfSliderItem

    public static SliderItem[] arrayOfSliderItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SliderItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SliderItem[]

  - ### arrayOfCursor

    public static Cursor[] arrayOfCursor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Cursor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Cursor[]

  - ### arrayOfSequenceMode

    public static SequenceMode[] arrayOfSequenceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SequenceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SequenceMode[]

  - ### arrayOfEnableDisableTask

    public static EnableDisableTask[] arrayOfEnableDisableTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EnableDisableTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.EnableDisableTask[]

  - ### arrayOfBuildUIViaAIContext

    public static BuildUIViaAIContext[] arrayOfBuildUIViaAIContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildUIViaAIContext[]

  - ### arrayOfProcess

    public static Process[] arrayOfProcess(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Process` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.Process[]

  - ### arrayOfEnterKeyEditAction

    public static EnterKeyEditAction[] arrayOfEnterKeyEditAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EnterKeyEditAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EnterKeyEditAction[]

  - ### arrayOfSuggestRecordSummaryTitleResult

    public static SuggestRecordSummaryTitleResult[] arrayOfSuggestRecordSummaryTitleResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SuggestRecordSummaryTitleResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.SuggestRecordSummaryTitleResult[]

  - ### arrayOfFormItemElementType

    public static FormItemElementType[] arrayOfFormItemElementType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormItemElementType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FormItemElementType[]

  - ### arrayOfViewLoader

    public static ViewLoader[] arrayOfViewLoader(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ViewLoader` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ViewLoader[]

  - ### arrayOfPublishScreenConfig

    public static PublishScreenConfig[] arrayOfPublishScreenConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PublishScreenConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.PublishScreenConfig[]

  - ### arrayOfRowCountStatus

    public static RowCountStatus[] arrayOfRowCountStatus(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowCountStatus` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RowCountStatus[]

  - ### arrayOfSeleniumCommand

    public static SeleniumCommand[] arrayOfSeleniumCommand(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SeleniumCommand` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.stream.SeleniumCommand[]

  - ### arrayOfSlider

    public static Slider[] arrayOfSlider(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Slider` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Slider[]

  - ### arrayOfRESTRequestFormat

    public static RESTRequestFormat[] arrayOfRESTRequestFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RESTRequestFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RESTRequestFormat[]

  - ### arrayOfAnimationLayoutMode

    public static AnimationLayoutMode[] arrayOfAnimationLayoutMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AnimationLayoutMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AnimationLayoutMode[]

  - ### arrayOfComboBoxItem

    public static ComboBoxItem[] arrayOfComboBoxItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ComboBoxItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ComboBoxItem[]

  - ### arrayOfSyntaxHiliter

    public static SyntaxHiliter[] arrayOfSyntaxHiliter(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SyntaxHiliter` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.SyntaxHiliter[]

  - ### arrayOfListGridViewStatePart

    public static ListGridViewStatePart[] arrayOfListGridViewStatePart(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridViewStatePart` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ListGridViewStatePart[]

  - ### arrayOfMultiPickerSelectionStyle

    public static MultiPickerSelectionStyle[] arrayOfMultiPickerSelectionStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiPickerSelectionStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiPickerSelectionStyle[]

  - ### arrayOfEditNode

    public static EditNode[] arrayOfEditNode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditNode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditNode[]

  - ### arrayOfListPropertiesDialog

    public static ListPropertiesDialog[] arrayOfListPropertiesDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.rte.ListPropertiesDialog[]

  - ### arrayOfTreeFilterMode

    public static TreeFilterMode[] arrayOfTreeFilterMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeFilterMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TreeFilterMode[]

  - ### arrayOfReifyLoadConfig

    public static ReifyLoadConfig[] arrayOfReifyLoadConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ReifyLoadConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ReifyLoadConfig[]

  - ### arrayOfSearchEditorMode

    public static SearchEditorMode[] arrayOfSearchEditorMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SearchEditorMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SearchEditorMode[]

  - ### arrayOfPickTreeItem

    public static PickTreeItem[] arrayOfPickTreeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PickTreeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.PickTreeItem[]

  - ### arrayOfColorPickerItem

    public static ColorPickerItem[] arrayOfColorPickerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorPickerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ColorPickerItem[]

  - ### arrayOfDateDisplayFormat

    public static DateDisplayFormat[] arrayOfDateDisplayFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateDisplayFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DateDisplayFormat[]

  - ### arrayOfStretchImg

    public static StretchImg[] arrayOfStretchImg(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StretchImg` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.StretchImg[]

  - ### arrayOfDSRequestTask

    public static DSRequestTask[] arrayOfDSRequestTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSRequestTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DSRequestTask[]

  - ### arrayOfTextSettings

    public static TextSettings[] arrayOfTextSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.TextSettings[]

  - ### arrayOfTourActionType

    public static TourActionType[] arrayOfTourActionType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourActionType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TourActionType[]

  - ### arrayOfShowComponentTask

    public static ShowComponentTask[] arrayOfShowComponentTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowComponentTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ShowComponentTask[]

  - ### arrayOfAddScreenTask

    public static AddScreenTask[] arrayOfAddScreenTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AddScreenTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.AddScreenTask[]

  - ### arrayOfRowEndEditAction

    public static RowEndEditAction[] arrayOfRowEndEditAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowEndEditAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RowEndEditAction[]

  - ### arrayOfDrawShapeCommandType

    public static DrawShapeCommandType[] arrayOfDrawShapeCommandType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawShapeCommandType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DrawShapeCommandType[]

  - ### arrayOfResizeDirection

    public static ResizeDirection[] arrayOfResizeDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ResizeDirection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ResizeDirection[]

  - ### arrayOfAnimationAcceleration

    public static AnimationAcceleration[] arrayOfAnimationAcceleration(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AnimationAcceleration` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AnimationAcceleration[]

  - ### arrayOfVisibilityMode

    public static VisibilityMode[] arrayOfVisibilityMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `VisibilityMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.VisibilityMode[]

  - ### arrayOfSetPropertiesTask

    public static SetPropertiesTask[] arrayOfSetPropertiesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SetPropertiesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.SetPropertiesTask[]

  - ### arrayOfSummarizeValueExample

    public static SummarizeValueExample[] arrayOfSummarizeValueExample(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SummarizeValueExample` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.SummarizeValueExample[]

  - ### arrayOfPresetDateRangeItem

    public static PresetDateRangeItem[] arrayOfPresetDateRangeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PresetDateRangeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.PresetDateRangeItem[]

  - ### arrayOfLinearGradient

    public static LinearGradient[] arrayOfLinearGradient(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LinearGradient` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.LinearGradient[]

  - ### arrayOfCellRecord

    public static CellRecord[] arrayOfCellRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CellRecord` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.cube.CellRecord[]

  - ### arrayOfListPropertiesPane

    public static ListPropertiesPane[] arrayOfListPropertiesPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListPropertiesPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.rte.ListPropertiesPane[]

  - ### arrayOfDataContextBinding

    public static DataContextBinding[] arrayOfDataContextBinding(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataContextBinding` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.DataContextBinding[]

  - ### arrayOfAceCompletionResult

    public static AceCompletionResult[] arrayOfAceCompletionResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceCompletionResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceCompletionResult[]

  - ### arrayOfMultiUpdatePolicy

    public static MultiUpdatePolicy[] arrayOfMultiUpdatePolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiUpdatePolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiUpdatePolicy[]

  - ### arrayOfToolStripSpacer

    public static ToolStripSpacer[] arrayOfToolStripSpacer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSpacer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripSpacer[]

  - ### arrayOfFileDropZone

    public static FileDropZone[] arrayOfFileDropZone(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FileDropZone` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.FileDropZone[]

  - ### arrayOfSectionStackSection

    public static SectionStackSection[] arrayOfSectionStackSection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.SectionStackSection[]

  - ### arrayOfLineCap

    public static LineCap[] arrayOfLineCap(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LineCap` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LineCap[]

  - ### arrayOfSubmitItem

    public static SubmitItem[] arrayOfSubmitItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SubmitItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SubmitItem[]

  - ### arrayOfAnswerEngineOperation

    public static AnswerEngineOperation[] arrayOfAnswerEngineOperation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AnswerEngineOperation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AnswerEngineOperation[]

  - ### arrayOfActiveXControl

    public static ActiveXControl[] arrayOfActiveXControl(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ActiveXControl` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.plugins.ActiveXControl[]

  - ### arrayOfDateChooser

    public static DateChooser[] arrayOfDateChooser(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateChooser` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.DateChooser[]

  - ### arrayOfBatchUploader

    public static BatchUploader[] arrayOfBatchUploader(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BatchUploader` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.BatchUploader[]

  - ### arrayOfImgEditProxy

    public static ImgEditProxy[] arrayOfImgEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ImgEditProxy[]

  - ### arrayOfPercentBoxModel

    public static PercentBoxModel[] arrayOfPercentBoxModel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PercentBoxModel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PercentBoxModel[]

  - ### arrayOfDialog

    public static Dialog[] arrayOfDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Dialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Dialog[]

  - ### arrayOfOpenFinWindow

    public static OpenFinWindow[] arrayOfOpenFinWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OpenFinWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.browser.window.OpenFinWindow[]

  - ### arrayOfWSDataSource

    public static WSDataSource[] arrayOfWSDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `WSDataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.WSDataSource[]

  - ### arrayOfOperationBinding

    public static OperationBinding[] arrayOfOperationBinding(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OperationBinding` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.OperationBinding[]

  - ### arrayOfTableView

    public static TableView[] arrayOfTableView(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TableView` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tableview.TableView[]

  - ### arrayOfChartType

    public static ChartType[] arrayOfChartType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ChartType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ChartType[]

  - ### arrayOfIconMenuButton

    public static IconMenuButton[] arrayOfIconMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IconMenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.IconMenuButton[]

  - ### arrayOfRecordDropPosition

    public static RecordDropPosition[] arrayOfRecordDropPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordDropPosition[]

  - ### arrayOfRadialGradient

    public static RadialGradient[] arrayOfRadialGradient(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RadialGradient` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.RadialGradient[]

  - ### arrayOfKeyIdentifier

    public static KeyIdentifier[] arrayOfKeyIdentifier(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `KeyIdentifier` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.core.KeyIdentifier[]

  - ### arrayOfDrawDiamond

    public static DrawDiamond[] arrayOfDrawDiamond(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawDiamond` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawDiamond[]

  - ### arrayOfLayoutResizeBarPolicy

    public static LayoutResizeBarPolicy[] arrayOfLayoutResizeBarPolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LayoutResizeBarPolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LayoutResizeBarPolicy[]

  - ### arrayOfPalette

    public static Palette[] arrayOfPalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Palette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.Palette[]

  - ### arrayOfAsyncOperationParams

    public static AsyncOperationParams[] arrayOfAsyncOperationParams(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationParams` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncOperationParams[]

  - ### arrayOfEventSchemaMode

    public static EventSchemaMode[] arrayOfEventSchemaMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EventSchemaMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EventSchemaMode[]

  - ### arrayOfMiniNavControl

    public static MiniNavControl[] arrayOfMiniNavControl(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MiniNavControl` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MiniNavControl[]

  - ### arrayOfMultipleAppearance

    public static MultipleAppearance[] arrayOfMultipleAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultipleAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultipleAppearance[]

  - ### arrayOfNavigationBar

    public static NavigationBar[] arrayOfNavigationBar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.NavigationBar[]

  - ### arrayOfJSONEncoder

    public static JSONEncoder[] arrayOfJSONEncoder(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSONEncoder` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.JSONEncoder[]

  - ### arrayOfSound

    public static Sound[] arrayOfSound(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Sound` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Sound[]

  - ### arrayOfStartTransactionTask

    public static StartTransactionTask[] arrayOfStartTransactionTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StartTransactionTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.StartTransactionTask[]

  - ### arrayOfFacadeDataSource

    public static FacadeDataSource[] arrayOfFacadeDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacadeDataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.FacadeDataSource[]

  - ### arrayOfColorPicker

    public static ColorPicker[] arrayOfColorPicker(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorPicker` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.ColorPicker[]

  - ### arrayOfNavigationDirection

    public static NavigationDirection[] arrayOfNavigationDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationDirection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.NavigationDirection[]

  - ### arrayOfEditPane

    public static EditPane[] arrayOfEditPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditPane[]

  - ### arrayOfHiddenPalette

    public static HiddenPalette[] arrayOfHiddenPalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiddenPalette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.HiddenPalette[]

  - ### arrayOfProcessElement

    public static ProcessElement[] arrayOfProcessElement(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProcessElement` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ProcessElement[]

  - ### arrayOfAIServiceMode

    public static AIServiceMode[] arrayOfAIServiceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIServiceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AIServiceMode[]

  - ### arrayOfLane

    public static Lane[] arrayOfLane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Lane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.Lane[]

  - ### arrayOfTextAreaItemEditProxy

    public static TextAreaItemEditProxy[] arrayOfTextAreaItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.TextAreaItemEditProxy[]

  - ### arrayOfDrawLabelEditProxy

    public static DrawLabelEditProxy[] arrayOfDrawLabelEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabelEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DrawLabelEditProxy[]

  - ### arrayOfGroupStartOpen

    public static GroupStartOpen[] arrayOfGroupStartOpen(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GroupStartOpen` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.GroupStartOpen[]

  - ### arrayOfDateEditingStyle

    public static DateEditingStyle[] arrayOfDateEditingStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateEditingStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DateEditingStyle[]

  - ### arrayOfToolbar

    public static Toolbar[] arrayOfToolbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Toolbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.Toolbar[]

  - ### arrayOfLayoutEditProxy

    public static LayoutEditProxy[] arrayOfLayoutEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LayoutEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.LayoutEditProxy[]

  - ### arrayOfDrawImage

    public static DrawImage[] arrayOfDrawImage(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawImage` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawImage[]

  - ### arrayOfStandardControlGroup

    public static StandardControlGroup[] arrayOfStandardControlGroup(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StandardControlGroup` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.StandardControlGroup[]

  - ### arrayOfTextExportSettings

    public static TextExportSettings[] arrayOfTextExportSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextExportSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.TextExportSettings[]

  - ### arrayOfBooleanItem

    public static BooleanItem[] arrayOfBooleanItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BooleanItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.BooleanItem[]

  - ### arrayOfRecordType

    public static RecordType[] arrayOfRecordType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordType[]

  - ### arrayOfRadioGroupItem

    public static RadioGroupItem[] arrayOfRadioGroupItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RadioGroupItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.RadioGroupItem[]

  - ### arrayOfDrawBlockConnector

    public static DrawBlockConnector[] arrayOfDrawBlockConnector(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawBlockConnector` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawBlockConnector[]

  - ### arrayOfCalendarSaveScenario

    public static CalendarSaveScenario[] arrayOfCalendarSaveScenario(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CalendarSaveScenario` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CalendarSaveScenario[]

  - ### arrayOfSelectionStyle

    public static SelectionStyle[] arrayOfSelectionStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectionStyle[]

  - ### arrayOfTopOperatorAppearance

    public static TopOperatorAppearance[] arrayOfTopOperatorAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TopOperatorAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TopOperatorAppearance[]

  - ### arrayOfElementWaitConfig

    public static ElementWaitConfig[] arrayOfElementWaitConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ElementWaitConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.ElementWaitConfig[]

  - ### arrayOfLegendAlign

    public static LegendAlign[] arrayOfLegendAlign(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LegendAlign` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LegendAlign[]

  - ### arrayOfFacetValueMap

    public static FacetValueMap[] arrayOfFacetValueMap(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacetValueMap` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.cube.FacetValueMap[]

  - ### arrayOfRelativeDateItem

    public static RelativeDateItem[] arrayOfRelativeDateItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.RelativeDateItem[]

  - ### arrayOfAsyncSingleValueGenerationResult

    public static AsyncSingleValueGenerationResult[] arrayOfAsyncSingleValueGenerationResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncSingleValueGenerationResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncSingleValueGenerationResult[]

  - ### arrayOfWriteToGeneratedFields

    public static WriteToGeneratedFields[] arrayOfWriteToGeneratedFields(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `WriteToGeneratedFields` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.WriteToGeneratedFields[]

  - ### arrayOfStyleSetting

    public static StyleSetting[] arrayOfStyleSetting(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StyleSetting` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.StyleSetting[]

  - ### arrayOfCalendar

    public static Calendar[] arrayOfCalendar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Calendar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.Calendar[]

  - ### arrayOfTabTitleEditEvent

    public static TabTitleEditEvent[] arrayOfTabTitleEditEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TabTitleEditEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TabTitleEditEvent[]

  - ### arrayOfUserFormula

    public static UserFormula[] arrayOfUserFormula(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserFormula` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.UserFormula[]

  - ### arrayOfContentLayoutPolicy

    public static ContentLayoutPolicy[] arrayOfContentLayoutPolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ContentLayoutPolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ContentLayoutPolicy[]

  - ### arrayOfHiliteEditor

    public static HiliteEditor[] arrayOfHiliteEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.HiliteEditor[]

  - ### arrayOfListGrid

    public static ListGrid[] arrayOfListGrid(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGrid` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.ListGrid[]

  - ### arrayOfDropZone

    public static DropZone[] arrayOfDropZone(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DropZone` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.DropZone[]

  - ### arrayOfFlowLayout

    public static FlowLayout[] arrayOfFlowLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FlowLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.FlowLayout[]

  - ### arrayOfImgProperties

    public static ImgProperties[] arrayOfImgProperties(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgProperties` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ImgProperties[]

  - ### arrayOfPreRenderMode

    public static PreRenderMode[] arrayOfPreRenderMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PreRenderMode[]

  - ### arrayOfReify

    public static Reify[] arrayOfReify(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Reify` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.Reify[]

  - ### arrayOfGridSetEditValueTask

    public static GridSetEditValueTask[] arrayOfGridSetEditValueTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridSetEditValueTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridSetEditValueTask[]

  - ### arrayOfEventStreamEvent

    public static EventStreamEvent[] arrayOfEventStreamEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EventStreamEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.stream.EventStreamEvent[]

  - ### arrayOfDSRemoveTask

    public static DSRemoveTask[] arrayOfDSRemoveTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSRemoveTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DSRemoveTask[]

  - ### arrayOfRibbonMenuButton

    public static RibbonMenuButton[] arrayOfRibbonMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RibbonMenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.RibbonMenuButton[]

  - ### arrayOfAIServiceDescriptor

    public static AIServiceDescriptor[] arrayOfAIServiceDescriptor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIServiceDescriptor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIServiceDescriptor[]

  - ### arrayOfValueItemType

    public static ValueItemType[] arrayOfValueItemType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ValueItemType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ValueItemType[]

  - ### arrayOfResultTree

    public static ResultTree[] arrayOfResultTree(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ResultTree` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.ResultTree[]

  - ### arrayOfTextImportSettings

    public static TextImportSettings[] arrayOfTextImportSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextImportSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.TextImportSettings[]

  - ### arrayOfRESTResponseFormat

    public static RESTResponseFormat[] arrayOfRESTResponseFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RESTResponseFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RESTResponseFormat[]

  - ### arrayOfAdaptiveMenu

    public static AdaptiveMenu[] arrayOfAdaptiveMenu(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AdaptiveMenu` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.AdaptiveMenu[]

  - ### arrayOfFloatItem

    public static FloatItem[] arrayOfFloatItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FloatItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.FloatItem[]

  - ### arrayOfRestDataSource

    public static RestDataSource[] arrayOfRestDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RestDataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.RestDataSource[]

  - ### arrayOfAIProgressMessageCategory

    public static AIProgressMessageCategory[] arrayOfAIProgressMessageCategory(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIProgressMessageCategory` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AIProgressMessageCategory[]

  - ### arrayOfHeaderItem

    public static HeaderItem[] arrayOfHeaderItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HeaderItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.HeaderItem[]

  - ### arrayOfDrawOval

    public static DrawOval[] arrayOfDrawOval(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawOval` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawOval[]

  - ### arrayOfListGridFieldType

    public static ListGridFieldType[] arrayOfListGridFieldType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridFieldType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ListGridFieldType[]

  - ### arrayOfTreeGridField

    public static TreeGridField[] arrayOfTreeGridField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeGridField` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.TreeGridField[]

  - ### arrayOfTourMode

    public static TourMode[] arrayOfTourMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TourMode[]

  - ### arrayOfDrawTriangle

    public static DrawTriangle[] arrayOfDrawTriangle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawTriangle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawTriangle[]

  - ### arrayOfImgButton

    public static ImgButton[] arrayOfImgButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ImgButton[]

  - ### arrayOfToolStripGroup

    public static ToolStripGroup[] arrayOfToolStripGroup(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripGroup` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripGroup[]

  - ### arrayOfRelationPath

    public static RelationPath[] arrayOfRelationPath(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RelationPath` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.RelationPath[]

  - ### arrayOfPointerSettings

    public static PointerSettings[] arrayOfPointerSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PointerSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.PointerSettings[]

  - ### arrayOfLogOutTask

    public static LogOutTask[] arrayOfLogOutTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LogOutTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.LogOutTask[]

  - ### arrayOfGridExportClientDataTask

    public static GridExportClientDataTask[] arrayOfGridExportClientDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridExportClientDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridExportClientDataTask[]

  - ### arrayOfShowMessageTask

    public static ShowMessageTask[] arrayOfShowMessageTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowMessageTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ShowMessageTask[]

  - ### arrayOfAdvancedCriteria

    public static AdvancedCriteria[] arrayOfAdvancedCriteria(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedCriteria` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.AdvancedCriteria[]

  - ### arrayOfDrawRect

    public static DrawRect[] arrayOfDrawRect(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawRect` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawRect[]

  - ### arrayOfTreePalette

    public static TreePalette[] arrayOfTreePalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreePalette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.TreePalette[]

  - ### arrayOfUserConfirmationGateway

    public static UserConfirmationGateway[] arrayOfUserConfirmationGateway(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserConfirmationGateway` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.UserConfirmationGateway[]

  - ### arrayOfProportionalResizeMode

    public static ProportionalResizeMode[] arrayOfProportionalResizeMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProportionalResizeMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ProportionalResizeMode[]

  - ### arrayOfCalendarEvent

    public static CalendarEvent[] arrayOfCalendarEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CalendarEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.CalendarEvent[]

  - ### arrayOfSystemDoneConfig

    public static SystemDoneConfig[] arrayOfSystemDoneConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SystemDoneConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.SystemDoneConfig[]

  - ### arrayOfSelectionTreeMenu

    public static SelectionTreeMenu[] arrayOfSelectionTreeMenu(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionTreeMenu` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.SelectionTreeMenu[]

  - ### arrayOfDynamicForm

    public static DynamicForm[] arrayOfDynamicForm(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DynamicForm` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.DynamicForm[]

  - ### arrayOfPasswordItem

    public static PasswordItem[] arrayOfPasswordItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PasswordItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.PasswordItem[]

  - ### arrayOfVerticalAlignment

    public static VerticalAlignment[] arrayOfVerticalAlignment(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `VerticalAlignment` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.VerticalAlignment[]

  - ### arrayOfImgTab

    public static ImgTab[] arrayOfImgTab(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgTab` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tab.ImgTab[]

  - ### arrayOfTreeModelType

    public static TreeModelType[] arrayOfTreeModelType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeModelType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TreeModelType[]

  - ### arrayOfToolbarItem

    public static ToolbarItem[] arrayOfToolbarItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ToolbarItem[]

  - ### arrayOfLogPriority

    public static LogPriority[] arrayOfLogPriority(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LogPriority` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LogPriority[]

  - ### arrayOfSCStatefulImgConfig

    public static SCStatefulImgConfig[] arrayOfSCStatefulImgConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SCStatefulImgConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.SCStatefulImgConfig[]

  - ### arrayOfAceMarker

    public static AceMarker[] arrayOfAceMarker(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceMarker` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceMarker[]

  - ### arrayOfSimpleTile

    public static SimpleTile[] arrayOfSimpleTile(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SimpleTile` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tile.SimpleTile[]

  - ### arrayOfSplitPaneEditProxy

    public static SplitPaneEditProxy[] arrayOfSplitPaneEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SplitPaneEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SplitPaneEditProxy[]

  - ### arrayOfAIMessage

    public static AIMessage[] arrayOfAIMessage(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIMessage` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIMessage[]

  - ### arrayOfAsyncDataBoundOperationParams

    public static AsyncDataBoundOperationParams[] arrayOfAsyncDataBoundOperationParams(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncDataBoundOperationParams` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncDataBoundOperationParams[]

  - ### arrayOfDateItem

    public static DateItem[] arrayOfDateItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.DateItem[]

  - ### arrayOfInlineEditEvent

    public static InlineEditEvent[] arrayOfInlineEditEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `InlineEditEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.InlineEditEvent[]

  - ### arrayOfFacetChartEditProxy

    public static FacetChartEditProxy[] arrayOfFacetChartEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacetChartEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.FacetChartEditProxy[]

  - ### arrayOfEscapeKeyEditAction

    public static EscapeKeyEditAction[] arrayOfEscapeKeyEditAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EscapeKeyEditAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EscapeKeyEditAction[]

  - ### arrayOfNotifyTransition

    public static NotifyTransition[] arrayOfNotifyTransition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NotifyTransition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.NotifyTransition[]

  - ### arrayOfCurrentPane

    public static CurrentPane[] arrayOfCurrentPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CurrentPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CurrentPane[]

  - ### arrayOfNotifySettings

    public static NotifySettings[] arrayOfNotifySettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NotifySettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.notify.NotifySettings[]

  - ### arrayOfAsyncOperationResult

    public static AsyncOperationResult[] arrayOfAsyncOperationResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncOperationResult[]

  - ### arrayOfFileSpec

    public static FileSpec[] arrayOfFileSpec(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FileSpec` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.FileSpec[]

  - ### arrayOfAcePosition

    public static AcePosition[] arrayOfAcePosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AcePosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AcePosition[]

  - ### arrayOfCharacterCasing

    public static CharacterCasing[] arrayOfCharacterCasing(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CharacterCasing` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CharacterCasing[]

  - ### arrayOfDSAddTask

    public static DSAddTask[] arrayOfDSAddTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSAddTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DSAddTask[]

  - ### arrayOfState

    public static State[] arrayOfState(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `State` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.State[]

  - ### arrayOfBuildUIViaAIValidationType

    public static BuildUIViaAIValidationType[] arrayOfBuildUIViaAIValidationType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIValidationType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.BuildUIViaAIValidationType[]

  - ### arrayOfReifyDSSettings

    public static ReifyDSSettings[] arrayOfReifyDSSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ReifyDSSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ReifyDSSettings[]

  - ### arrayOfShuttleItem

    public static ShuttleItem[] arrayOfShuttleItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShuttleItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ShuttleItem[]

  - ### arrayOfAIResponseErrorType

    public static AIResponseErrorType[] arrayOfAIResponseErrorType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIResponseErrorType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AIResponseErrorType[]

  - ### arrayOfDoubleItem

    public static DoubleItem[] arrayOfDoubleItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DoubleItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.DoubleItem[]

  - ### arrayOfSendTransactionTask

    public static SendTransactionTask[] arrayOfSendTransactionTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SendTransactionTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.SendTransactionTask[]

  - ### arrayOfLocatorTypeStrategy

    public static LocatorTypeStrategy[] arrayOfLocatorTypeStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LocatorTypeStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LocatorTypeStrategy[]

  - ### arrayOfAIWindow

    public static AIWindow[] arrayOfAIWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.AIWindow[]

  - ### arrayOfPromiseOutcome

    public static PromiseOutcome[] arrayOfPromiseOutcome(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PromiseOutcome` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.PromiseOutcome[]

  - ### arrayOfShowDataValuesMode

    public static ShowDataValuesMode[] arrayOfShowDataValuesMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowDataValuesMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ShowDataValuesMode[]

  - ### arrayOfDrawPane

    public static DrawPane[] arrayOfDrawPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawPane[]

  - ### arrayOfCheckboxItem

    public static CheckboxItem[] arrayOfCheckboxItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.CheckboxItem[]

  - ### arrayOfSectionStackSectionEditProxy

    public static SectionStackSectionEditProxy[] arrayOfSectionStackSectionEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackSectionEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SectionStackSectionEditProxy[]

  - ### arrayOfSelectionBoundary

    public static SelectionBoundary[] arrayOfSelectionBoundary(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionBoundary` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectionBoundary[]

  - ### arrayOfDetailViewerField

    public static DetailViewerField[] arrayOfDetailViewerField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerField` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.viewer.DetailViewerField[]

  - ### arrayOfChildrenPropertyMode

    public static ChildrenPropertyMode[] arrayOfChildrenPropertyMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ChildrenPropertyMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ChildrenPropertyMode[]

  - ### arrayOfCriteriaOutputSettings

    public static CriteriaOutputSettings[] arrayOfCriteriaOutputSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaOutputSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.CriteriaOutputSettings[]

  - ### arrayOfDBCField

    public static DBCField[] arrayOfDBCField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DBCField` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DBCField[]

  - ### arrayOfBrowserWindowSettings

    public static BrowserWindowSettings[] arrayOfBrowserWindowSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BrowserWindowSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.browser.window.BrowserWindowSettings[]

  - ### arrayOfSide

    public static Side[] arrayOfSide(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Side` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Side[]

  - ### arrayOfDrawingType

    public static DrawingType[] arrayOfDrawingType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawingType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DrawingType[]

  - ### arrayOfRowSpanEditMode

    public static RowSpanEditMode[] arrayOfRowSpanEditMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanEditMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RowSpanEditMode[]

  - ### arrayOfProcessFailure

    public static ProcessFailure[] arrayOfProcessFailure(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProcessFailure` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ProcessFailure[]

  - ### arrayOfRPCTransport

    public static RPCTransport[] arrayOfRPCTransport(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RPCTransport` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RPCTransport[]

  - ### arrayOfMockDataType

    public static MockDataType[] arrayOfMockDataType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDataType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MockDataType[]

  - ### arrayOfColorItem

    public static ColorItem[] arrayOfColorItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ColorItem[]

  - ### arrayOfTab

    public static Tab[] arrayOfTab(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Tab` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tab.Tab[]

  - ### arrayOfFormEditRecordTask

    public static FormEditRecordTask[] arrayOfFormEditRecordTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormEditRecordTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormEditRecordTask[]

  - ### arrayOfFormClearValuesTask

    public static FormClearValuesTask[] arrayOfFormClearValuesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormClearValuesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormClearValuesTask[]

  - ### arrayOfFiscalYearMode

    public static FiscalYearMode[] arrayOfFiscalYearMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYearMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FiscalYearMode[]

  - ### arrayOfLabelCollapseMode

    public static LabelCollapseMode[] arrayOfLabelCollapseMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LabelCollapseMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LabelCollapseMode[]

  - ### arrayOfAsyncMultipleValuesGenerationResult

    public static AsyncMultipleValuesGenerationResult[] arrayOfAsyncMultipleValuesGenerationResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncMultipleValuesGenerationResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncMultipleValuesGenerationResult[]

  - ### arrayOfNavigateSplitPaneTask

    public static NavigateSplitPaneTask[] arrayOfNavigateSplitPaneTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigateSplitPaneTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.NavigateSplitPaneTask[]

  - ### arrayOfUserSummary

    public static UserSummary[] arrayOfUserSummary(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserSummary` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.UserSummary[]

  - ### arrayOfSelectOtherItem

    public static SelectOtherItem[] arrayOfSelectOtherItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectOtherItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SelectOtherItem[]

  - ### arrayOfDecisionTask

    public static DecisionTask[] arrayOfDecisionTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DecisionTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DecisionTask[]

  - ### arrayOfAutoScrollDataApproach

    public static AutoScrollDataApproach[] arrayOfAutoScrollDataApproach(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoScrollDataApproach` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoScrollDataApproach[]

  - ### arrayOfPaletteNode

    public static PaletteNode[] arrayOfPaletteNode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PaletteNode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.PaletteNode[]

  - ### arrayOfBuildViaAIResponse

    public static BuildViaAIResponse[] arrayOfBuildViaAIResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildViaAIResponse[]

  - ### arrayOfPreRenderImageMode

    public static PreRenderImageMode[] arrayOfPreRenderImageMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderImageMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PreRenderImageMode[]

  - ### arrayOfSectionStack

    public static SectionStack[] arrayOfSectionStack(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionStack` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.SectionStack[]

  - ### arrayOfToggleSwitch

    public static ToggleSwitch[] arrayOfToggleSwitch(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToggleSwitch` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ToggleSwitch[]

  - ### arrayOfAceEditor

    public static AceEditor[] arrayOfAceEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceEditor[]

  - ### arrayOfDataView

    public static DataView[] arrayOfDataView(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataView` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.DataView[]

  - ### arrayOfTourInputValidationMode

    public static TourInputValidationMode[] arrayOfTourInputValidationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourInputValidationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TourInputValidationMode[]

  - ### arrayOfTreeMenuButton

    public static TreeMenuButton[] arrayOfTreeMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeMenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.TreeMenuButton[]

  - ### arrayOfSelectedAppearance

    public static SelectedAppearance[] arrayOfSelectedAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectedAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectedAppearance[]

  - ### arrayOfIndicatorCanvas

    public static IndicatorCanvas[] arrayOfIndicatorCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IndicatorCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.IndicatorCanvas[]

  - ### arrayOfFormItemIcon

    public static FormItemIcon[] arrayOfFormItemIcon(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormItemIcon` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.FormItemIcon[]

  - ### arrayOfFormItemType

    public static FormItemType[] arrayOfFormItemType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormItemType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FormItemType[]

  - ### arrayOfTaskResultModifications

    public static TaskResultModifications[] arrayOfTaskResultModifications(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TaskResultModifications` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.TaskResultModifications[]

  - ### arrayOfTileRecord

    public static TileRecord[] arrayOfTileRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TileRecord` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tile.TileRecord[]

  - ### arrayOfPrintCanvas

    public static PrintCanvas[] arrayOfPrintCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.PrintCanvas[]

  - ### arrayOfFormattingContext

    public static FormattingContext[] arrayOfFormattingContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormattingContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FormattingContext[]

  - ### arrayOfRibbonGroup

    public static RibbonGroup[] arrayOfRibbonGroup(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RibbonGroup` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.RibbonGroup[]

  - ### arrayOfVLayout

    public static VLayout[] arrayOfVLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `VLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.VLayout[]

  - ### arrayOfFormDisableFieldTask

    public static FormDisableFieldTask[] arrayOfFormDisableFieldTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormDisableFieldTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormDisableFieldTask[]

  - ### arrayOfCalendarView

    public static CalendarView[] arrayOfCalendarView(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CalendarView` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.CalendarView[]

  - ### arrayOfForceTextApproach

    public static ForceTextApproach[] arrayOfForceTextApproach(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ForceTextApproach` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ForceTextApproach[]

  - ### arrayOfFormEditSelectedTask

    public static FormEditSelectedTask[] arrayOfFormEditSelectedTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormEditSelectedTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormEditSelectedTask[]

  - ### arrayOfDragIntersectStyle

    public static DragIntersectStyle[] arrayOfDragIntersectStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DragIntersectStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DragIntersectStyle[]

  - ### arrayOfAsyncDataBoundOperationContext

    public static AsyncDataBoundOperationContext[] arrayOfAsyncDataBoundOperationContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncDataBoundOperationContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncDataBoundOperationContext[]

  - ### arrayOfToolStripButton

    public static ToolStripButton[] arrayOfToolStripButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripButton[]

  - ### arrayOfEditTree

    public static EditTree[] arrayOfEditTree(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditTree` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditTree[]

  - ### arrayOfTourStep

    public static TourStep[] arrayOfTourStep(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourStep` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.tour.TourStep[]

  - ### arrayOfReapplyAIFilterResponse

    public static ReapplyAIFilterResponse[] arrayOfReapplyAIFilterResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ReapplyAIFilterResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.ReapplyAIFilterResponse[]

  - ### arrayOfEdgeName

    public static EdgeName[] arrayOfEdgeName(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EdgeName` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EdgeName[]

  - ### arrayOfImg

    public static Img[] arrayOfImg(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Img` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Img[]

  - ### arrayOfAutoComplete

    public static AutoComplete[] arrayOfAutoComplete(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoComplete` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoComplete[]

  - ### arrayOfLineBreakStyle

    public static LineBreakStyle[] arrayOfLineBreakStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LineBreakStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LineBreakStyle[]

  - ### arrayOfDetailViewerRecord

    public static DetailViewerRecord[] arrayOfDetailViewerRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewerRecord` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.viewer.DetailViewerRecord[]

  - ### arrayOfDeviceMode

    public static DeviceMode[] arrayOfDeviceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DeviceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DeviceMode[]

  - ### arrayOfMultiDecisionTask

    public static MultiDecisionTask[] arrayOfMultiDecisionTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiDecisionTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.MultiDecisionTask[]

  - ### arrayOfSnapGridStyle

    public static SnapGridStyle[] arrayOfSnapGridStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SnapGridStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SnapGridStyle[]

  - ### arrayOfJSSyntaxHiliter

    public static JSSyntaxHiliter[] arrayOfJSSyntaxHiliter(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSSyntaxHiliter` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.JSSyntaxHiliter[]

  - ### arrayOfMultipleFieldStorage

    public static MultipleFieldStorage[] arrayOfMultipleFieldStorage(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultipleFieldStorage` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultipleFieldStorage[]

  - ### arrayOfRecordEditor

    public static RecordEditor[] arrayOfRecordEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.RecordEditor[]

  - ### arrayOfUserConfirmationTask

    public static UserConfirmationTask[] arrayOfUserConfirmationTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserConfirmationTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.UserConfirmationTask[]

  - ### arrayOfNavigationMode

    public static NavigationMode[] arrayOfNavigationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.NavigationMode[]

  - ### arrayOfZoneCanvas

    public static ZoneCanvas[] arrayOfZoneCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ZoneCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.ZoneCanvas[]

  - ### arrayOfSectionStackEditProxy

    public static SectionStackEditProxy[] arrayOfSectionStackEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SectionStackEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SectionStackEditProxy[]

  - ### arrayOfSimpleGradient

    public static SimpleGradient[] arrayOfSimpleGradient(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SimpleGradient` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.SimpleGradient[]

  - ### arrayOfBlurbItem

    public static BlurbItem[] arrayOfBlurbItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BlurbItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.BlurbItem[]

  - ### arrayOfJSONSchemaSettings

    public static JSONSchemaSettings[] arrayOfJSONSchemaSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSONSchemaSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.JSONSchemaSettings[]

  - ### arrayOfBuildViaAIProgressDialog

    public static BuildViaAIProgressDialog[] arrayOfBuildViaAIProgressDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIProgressDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.BuildViaAIProgressDialog[]

  - ### arrayOfNativeCheckboxItem

    public static NativeCheckboxItem[] arrayOfNativeCheckboxItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NativeCheckboxItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.NativeCheckboxItem[]

  - ### arrayOfPropertyIdentifier

    public static PropertyIdentifier[] arrayOfPropertyIdentifier(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PropertyIdentifier` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PropertyIdentifier[]

  - ### arrayOfControlName

    public static ControlName[] arrayOfControlName(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ControlName` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ControlName[]

  - ### arrayOfShowMessageType

    public static ShowMessageType[] arrayOfShowMessageType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowMessageType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ShowMessageType[]

  - ### arrayOfRowSpanSelectionMode

    public static RowSpanSelectionMode[] arrayOfRowSpanSelectionMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowSpanSelectionMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RowSpanSelectionMode[]

  - ### arrayOfDataContext

    public static DataContext[] arrayOfDataContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.DataContext[]

  - ### arrayOfDSUpdateTask

    public static DSUpdateTask[] arrayOfDSUpdateTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSUpdateTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DSUpdateTask[]

  - ### arrayOfLinePattern

    public static LinePattern[] arrayOfLinePattern(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LinePattern` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LinePattern[]

  - ### arrayOfDrawKnob

    public static DrawKnob[] arrayOfDrawKnob(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawKnob` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawKnob[]

  - ### arrayOfLabel

    public static Label[] arrayOfLabel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Label` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Label[]

  - ### arrayOfMenuButton

    public static MenuButton[] arrayOfMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.MenuButton[]

  - ### arrayOfDSOperationType

    public static DSOperationType[] arrayOfDSOperationType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSOperationType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DSOperationType[]

  - ### arrayOfAIDataQuestionItem

    public static AIDataQuestionItem[] arrayOfAIDataQuestionItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIDataQuestionItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.AIDataQuestionItem[]

  - ### arrayOfResetItem

    public static ResetItem[] arrayOfResetItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ResetItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ResetItem[]

  - ### arrayOfAsyncOperationContext

    public static AsyncOperationContext[] arrayOfAsyncOperationContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AsyncOperationContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.AsyncOperationContext[]

  - ### arrayOfWindow

    public static Window[] arrayOfWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Window` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Window[]

  - ### arrayOfAIContentType

    public static AIContentType[] arrayOfAIContentType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIContentType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AIContentType[]

  - ### arrayOfTitleRotationMode

    public static TitleRotationMode[] arrayOfTitleRotationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TitleRotationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TitleRotationMode[]

  - ### arrayOfDateGrid

    public static DateGrid[] arrayOfDateGrid(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateGrid` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.DateGrid[]

  - ### arrayOfJoinType

    public static JoinType[] arrayOfJoinType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JoinType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.JoinType[]

  - ### arrayOfEditCompletionEvent

    public static EditCompletionEvent[] arrayOfEditCompletionEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditCompletionEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EditCompletionEvent[]

  - ### arrayOfReorderPosition

    public static ReorderPosition[] arrayOfReorderPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ReorderPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ReorderPosition[]

  - ### arrayOfDecisionBranch

    public static DecisionBranch[] arrayOfDecisionBranch(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DecisionBranch` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DecisionBranch[]

  - ### arrayOfDrawPaneEditProxy

    public static DrawPaneEditProxy[] arrayOfDrawPaneEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawPaneEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DrawPaneEditProxy[]

  - ### arrayOfLinkItem

    public static LinkItem[] arrayOfLinkItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LinkItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.LinkItem[]

  - ### arrayOfRichTextItem

    public static RichTextItem[] arrayOfRichTextItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RichTextItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.RichTextItem[]

  - ### arrayOfListProperties

    public static ListProperties[] arrayOfListProperties(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListProperties` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.rte.ListProperties[]

  - ### arrayOfSelectionType

    public static SelectionType[] arrayOfSelectionType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectionType[]

  - ### arrayOfGridRenderer

    public static GridRenderer[] arrayOfGridRenderer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridRenderer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.GridRenderer[]

  - ### arrayOfCellSelection

    public static CellSelection[] arrayOfCellSelection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CellSelection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.CellSelection[]

  - ### arrayOfGroupSummary

    public static GroupSummary[] arrayOfGroupSummary(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GroupSummary` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.GroupSummary[]

  - ### arrayOfDrawItemEditProxy

    public static DrawItemEditProxy[] arrayOfDrawItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DrawItemEditProxy[]

  - ### arrayOfJSONInstanceSerializationMode

    public static JSONInstanceSerializationMode[] arrayOfJSONInstanceSerializationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSONInstanceSerializationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.JSONInstanceSerializationMode[]

  - ### arrayOfPoint

    public static Point[] arrayOfPoint(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Point` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.Point[]

  - ### arrayOfFilterViaAISettings

    public static FilterViaAISettings[] arrayOfFilterViaAISettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilterViaAISettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.FilterViaAISettings[]

  - ### arrayOfMenuEditProxy

    public static MenuEditProxy[] arrayOfMenuEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MenuEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.MenuEditProxy[]

  - ### arrayOfDrawPath

    public static DrawPath[] arrayOfDrawPath(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawPath` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawPath[]

  - ### arrayOfHiliteIconPosition

    public static HiliteIconPosition[] arrayOfHiliteIconPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteIconPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.HiliteIconPosition[]

  - ### arrayOfSeleneseRecorder

    public static SeleneseRecorder[] arrayOfSeleneseRecorder(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SeleneseRecorder` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SeleneseRecorder[]

  - ### arrayOfMatchElementSizeMode

    public static MatchElementSizeMode[] arrayOfMatchElementSizeMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MatchElementSizeMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MatchElementSizeMode[]

  - ### arrayOfOverlaySettings

    public static OverlaySettings[] arrayOfOverlaySettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OverlaySettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.OverlaySettings[]

  - ### arrayOfDataSource

    public static DataSource[] arrayOfDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DataSource[]

  - ### arrayOfDSResponse

    public static DSResponse[] arrayOfDSResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DSResponse[]

  - ### arrayOfDSRequest

    public static DSRequest[] arrayOfDSRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DSRequest[]

  - ### arrayOfMenuBar

    public static MenuBar[] arrayOfMenuBar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MenuBar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.MenuBar[]

  - ### arrayOfLoadState

    public static LoadState[] arrayOfLoadState(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LoadState` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LoadState[]

  - ### arrayOfRangeSlider

    public static RangeSlider[] arrayOfRangeSlider(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RangeSlider` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.RangeSlider[]

  - ### arrayOfListGridComponent

    public static ListGridComponent[] arrayOfListGridComponent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridComponent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ListGridComponent[]

  - ### arrayOfDataLineType

    public static DataLineType[] arrayOfDataLineType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataLineType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DataLineType[]

  - ### arrayOfGridEditRecordTask

    public static GridEditRecordTask[] arrayOfGridEditRecordTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridEditRecordTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridEditRecordTask[]

  - ### arrayOfPartialCommitOption

    public static PartialCommitOption[] arrayOfPartialCommitOption(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PartialCommitOption` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PartialCommitOption[]

  - ### arrayOfValidationMode

    public static ValidationMode[] arrayOfValidationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ValidationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ValidationMode[]

  - ### arrayOfStatefulCanvasEditProxy

    public static StatefulCanvasEditProxy[] arrayOfStatefulCanvasEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StatefulCanvasEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.StatefulCanvasEditProxy[]

  - ### arrayOfSortSpecifier

    public static SortSpecifier[] arrayOfSortSpecifier(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SortSpecifier` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.SortSpecifier[]

  - ### arrayOfRowSpacerItem

    public static RowSpacerItem[] arrayOfRowSpacerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowSpacerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.RowSpacerItem[]

  - ### arrayOfAceRenderer

    public static AceRenderer[] arrayOfAceRenderer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceRenderer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceRenderer[]

  - ### arrayOfAceAnchor

    public static AceAnchor[] arrayOfAceAnchor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceAnchor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceAnchor[]

  - ### arrayOfArrowStyle

    public static ArrowStyle[] arrayOfArrowStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ArrowStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ArrowStyle[]

  - ### arrayOfCanvasItem

    public static CanvasItem[] arrayOfCanvasItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CanvasItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.CanvasItem[]

  - ### arrayOfHashAlgorithm

    public static HashAlgorithm[] arrayOfHashAlgorithm(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HashAlgorithm` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.HashAlgorithm[]

  - ### arrayOfMetricSettings

    public static MetricSettings[] arrayOfMetricSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MetricSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.chart.MetricSettings[]

  - ### arrayOfHilite

    public static Hilite[] arrayOfHilite(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Hilite` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.Hilite[]

  - ### arrayOfGradientEditor

    public static GradientEditor[] arrayOfGradientEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GradientEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.GradientEditor[]

  - ### arrayOfTitleAlign

    public static TitleAlign[] arrayOfTitleAlign(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TitleAlign` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TitleAlign[]

  - ### arrayOfDataBoundAIRequest

    public static DataBoundAIRequest[] arrayOfDataBoundAIRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataBoundAIRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.DataBoundAIRequest[]

  - ### arrayOfViewName

    public static ViewName[] arrayOfViewName(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ViewName` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ViewName[]

  - ### arrayOfScrollbar

    public static Scrollbar[] arrayOfScrollbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Scrollbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Scrollbar[]

  - ### arrayOfDrawPolygon

    public static DrawPolygon[] arrayOfDrawPolygon(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawPolygon` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawPolygon[]

  - ### arrayOfOperatorValueType

    public static OperatorValueType[] arrayOfOperatorValueType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OperatorValueType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.OperatorValueType[]

  - ### arrayOfCheckboxItemEditProxy

    public static CheckboxItemEditProxy[] arrayOfCheckboxItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CheckboxItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.CheckboxItemEditProxy[]

  - ### arrayOfDisplayNodeType

    public static DisplayNodeType[] arrayOfDisplayNodeType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DisplayNodeType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DisplayNodeType[]

  - ### arrayOfCacheSyncStrategy

    public static CacheSyncStrategy[] arrayOfCacheSyncStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CacheSyncStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CacheSyncStrategy[]

  - ### arrayOfPortalPosition

    public static PortalPosition[] arrayOfPortalPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PortalPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.PortalPosition[]

  - ### arrayOfFacet

    public static Facet[] arrayOfFacet(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Facet` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.cube.Facet[]

  - ### arrayOfSeleneseSettings

    public static SeleneseSettings[] arrayOfSeleneseSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SeleneseSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.stream.SeleneseSettings[]

  - ### arrayOfDrawItem

    public static DrawItem[] arrayOfDrawItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawItem[]

  - ### arrayOfContentsType

    public static ContentsType[] arrayOfContentsType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ContentsType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ContentsType[]

  - ### arrayOfHTMLFlow

    public static HTMLFlow[] arrayOfHTMLFlow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HTMLFlow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.HTMLFlow[]

  - ### arrayOfStackPersistence

    public static StackPersistence[] arrayOfStackPersistence(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StackPersistence` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.StackPersistence[]

  - ### arrayOfCanvasEditProxy

    public static CanvasEditProxy[] arrayOfCanvasEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CanvasEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.CanvasEditProxy[]

  - ### arrayOfTitleOrientation

    public static TitleOrientation[] arrayOfTitleOrientation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TitleOrientation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TitleOrientation[]

  - ### arrayOfTabBar

    public static TabBar[] arrayOfTabBar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TabBar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tab.TabBar[]

  - ### arrayOfTutorial

    public static Tutorial[] arrayOfTutorial(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Tutorial` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.tour.Tutorial[]

  - ### arrayOfDetailViewer

    public static DetailViewer[] arrayOfDetailViewer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DetailViewer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.viewer.DetailViewer[]

  - ### arrayOfRecordSummaryFunctionType

    public static RecordSummaryFunctionType[] arrayOfRecordSummaryFunctionType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordSummaryFunctionType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordSummaryFunctionType[]

  - ### arrayOfBuildHilitesContext

    public static BuildHilitesContext[] arrayOfBuildHilitesContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildHilitesContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildHilitesContext[]

  - ### arrayOfMultiSortDialog

    public static MultiSortDialog[] arrayOfMultiSortDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MultiSortDialog[]

  - ### arrayOfHiliteRule

    public static HiliteRule[] arrayOfHiliteRule(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteRule` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.HiliteRule[]

  - ### arrayOfTextItem

    public static TextItem[] arrayOfTextItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.TextItem[]

  - ### arrayOfDateItemSelectorFormat

    public static DateItemSelectorFormat[] arrayOfDateItemSelectorFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateItemSelectorFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DateItemSelectorFormat[]

  - ### arrayOfAIProgressMessage

    public static AIProgressMessage[] arrayOfAIProgressMessage(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIProgressMessage` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIProgressMessage[]

  - ### arrayOfTimeDisplayFormat

    public static TimeDisplayFormat[] arrayOfTimeDisplayFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TimeDisplayFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TimeDisplayFormat[]

  - ### arrayOfSortDirection

    public static SortDirection[] arrayOfSortDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SortDirection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SortDirection[]

  - ### arrayOfAskForValueTask

    public static AskForValueTask[] arrayOfAskForValueTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AskForValueTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.AskForValueTask[]

  - ### arrayOfHeaderLevel

    public static HeaderLevel[] arrayOfHeaderLevel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HeaderLevel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.HeaderLevel[]

  - ### arrayOfTextMatchStyle

    public static TextMatchStyle[] arrayOfTextMatchStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextMatchStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TextMatchStyle[]

  - ### arrayOfPortalLayout

    public static PortalLayout[] arrayOfPortalLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PortalLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.PortalLayout[]

  - ### arrayOfHoopSelectionStyle

    public static HoopSelectionStyle[] arrayOfHoopSelectionStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HoopSelectionStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.HoopSelectionStyle[]

  - ### arrayOfViewFileItem

    public static ViewFileItem[] arrayOfViewFileItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ViewFileItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ViewFileItem[]

  - ### arrayOfFilterBuilder

    public static FilterBuilder[] arrayOfFilterBuilder(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilterBuilder` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.FilterBuilder[]

  - ### arrayOfDSDataFormat

    public static DSDataFormat[] arrayOfDSDataFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSDataFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DSDataFormat[]

  - ### arrayOfMultiGroupPanel

    public static MultiGroupPanel[] arrayOfMultiGroupPanel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupPanel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MultiGroupPanel[]

  - ### arrayOfFacetIndentDirection

    public static FacetIndentDirection[] arrayOfFacetIndentDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacetIndentDirection` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FacetIndentDirection[]

  - ### arrayOfPositioning

    public static Positioning[] arrayOfPositioning(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Positioning` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Positioning[]

  - ### arrayOfSummaryFunctionType

    public static SummaryFunctionType[] arrayOfSummaryFunctionType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SummaryFunctionType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SummaryFunctionType[]

  - ### arrayOfAIContext

    public static AIContext[] arrayOfAIContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIContext[]

  - ### arrayOfImgSplitbar

    public static ImgSplitbar[] arrayOfImgSplitbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgSplitbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ImgSplitbar[]

  - ### arrayOfGradient

    public static Gradient[] arrayOfGradient(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Gradient` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.Gradient[]

  - ### arrayOfMockDSExportValidatorMode

    public static MockDSExportValidatorMode[] arrayOfMockDSExportValidatorMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportValidatorMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MockDSExportValidatorMode[]

  - ### arrayOfSkipJSONValidation

    public static SkipJSONValidation[] arrayOfSkipJSONValidation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SkipJSONValidation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SkipJSONValidation[]

  - ### arrayOfReadOnlyDisplayAppearance

    public static ReadOnlyDisplayAppearance[] arrayOfReadOnlyDisplayAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ReadOnlyDisplayAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ReadOnlyDisplayAppearance[]

  - ### arrayOfLabelAlignment

    public static LabelAlignment[] arrayOfLabelAlignment(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LabelAlignment` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LabelAlignment[]

  - ### arrayOfMockDSExportSettings

    public static MockDSExportSettings[] arrayOfMockDSExportSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDSExportSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.MockDSExportSettings[]

  - ### arrayOfUserTask

    public static UserTask[] arrayOfUserTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.UserTask[]

  - ### arrayOfPreRenderFormatValues

    public static PreRenderFormatValues[] arrayOfPreRenderFormatValues(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PreRenderFormatValues` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PreRenderFormatValues[]

  - ### arrayOfCriteriaPolicy

    public static CriteriaPolicy[] arrayOfCriteriaPolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaPolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CriteriaPolicy[]

  - ### arrayOfConnectorOrientation

    public static ConnectorOrientation[] arrayOfConnectorOrientation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorOrientation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ConnectorOrientation[]

  - ### arrayOfBuildUIViaAIProgressDialog

    public static BuildUIViaAIProgressDialog[] arrayOfBuildUIViaAIProgressDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildUIViaAIProgressDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.BuildUIViaAIProgressDialog[]

  - ### arrayOfAlignment

    public static Alignment[] arrayOfAlignment(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Alignment` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Alignment[]

  - ### arrayOfProcessValueType

    public static ProcessValueType[] arrayOfProcessValueType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProcessValueType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ProcessValueType[]

  - ### arrayOfExpansionMode

    public static ExpansionMode[] arrayOfExpansionMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ExpansionMode[]

  - ### arrayOfStyleSheetHandler

    public static StyleSheetHandler[] arrayOfStyleSheetHandler(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StyleSheetHandler` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.browser.StyleSheetHandler[]

  - ### arrayOfFieldType

    public static FieldType[] arrayOfFieldType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldType[]

  - ### arrayOfSnapbar

    public static Snapbar[] arrayOfSnapbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Snapbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Snapbar[]

  - ### arrayOfListPalette

    public static ListPalette[] arrayOfListPalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListPalette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ListPalette[]

  - ### arrayOfAdvancedHiliteEditor

    public static AdvancedHiliteEditor[] arrayOfAdvancedHiliteEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AdvancedHiliteEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.AdvancedHiliteEditor[]

  - ### arrayOfPageEvent

    public static PageEvent[] arrayOfPageEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PageEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PageEvent[]

  - ### arrayOfDSLoadSettings

    public static DSLoadSettings[] arrayOfDSLoadSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSLoadSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DSLoadSettings[]

  - ### arrayOfTask

    public static Task[] arrayOfTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Task` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.Task[]

  - ### arrayOfDiscoverTreeSettings

    public static DiscoverTreeSettings[] arrayOfDiscoverTreeSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DiscoverTreeSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.DiscoverTreeSettings[]

  - ### arrayOfLocatorStrategy

    public static LocatorStrategy[] arrayOfLocatorStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LocatorStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LocatorStrategy[]

  - ### arrayOfImportFormat

    public static ImportFormat[] arrayOfImportFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImportFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ImportFormat[]

  - ### arrayOfFetchMode

    public static FetchMode[] arrayOfFetchMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FetchMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FetchMode[]

  - ### arrayOfNavigationButton

    public static NavigationButton[] arrayOfNavigationButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.NavigationButton[]

  - ### arrayOfVStack

    public static VStack[] arrayOfVStack(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `VStack` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.VStack[]

  - ### arrayOfRelativeDateRangePosition

    public static RelativeDateRangePosition[] arrayOfRelativeDateRangePosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RelativeDateRangePosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RelativeDateRangePosition[]

  - ### arrayOfSelectItemEditProxy

    public static SelectItemEditProxy[] arrayOfSelectItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SelectItemEditProxy[]

  - ### arrayOfExpansionComponentPoolingMode

    public static ExpansionComponentPoolingMode[] arrayOfExpansionComponentPoolingMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ExpansionComponentPoolingMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ExpansionComponentPoolingMode[]

  - ### arrayOfSettledPromiseStatus

    public static SettledPromiseStatus[] arrayOfSettledPromiseStatus(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SettledPromiseStatus` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SettledPromiseStatus[]

  - ### arrayOfSetFilterItem

    public static SetFilterItem[] arrayOfSetFilterItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SetFilterItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.SetFilterItem[]

  - ### arrayOfGridEditProxy

    public static GridEditProxy[] arrayOfGridEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.GridEditProxy[]

  - ### arrayOfAutoFitWidthApproach

    public static AutoFitWidthApproach[] arrayOfAutoFitWidthApproach(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitWidthApproach` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoFitWidthApproach[]

  - ### arrayOfLoadProjectSettings

    public static LoadProjectSettings[] arrayOfLoadProjectSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LoadProjectSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.LoadProjectSettings[]

  - ### arrayOfSendMethod

    public static SendMethod[] arrayOfSendMethod(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SendMethod` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SendMethod[]

  - ### arrayOfTextAreaItem

    public static TextAreaItem[] arrayOfTextAreaItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextAreaItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.TextAreaItem[]

  - ### arrayOfFileItem

    public static FileItem[] arrayOfFileItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FileItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.FileItem[]

  - ### arrayOfImgHTMLProperties

    public static ImgHTMLProperties[] arrayOfImgHTMLProperties(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgHTMLProperties` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ImgHTMLProperties[]

  - ### arrayOfEditContext

    public static EditContext[] arrayOfEditContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditContext[]

  - ### arrayOfTree

    public static Tree[] arrayOfTree(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Tree` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.Tree[]

  - ### arrayOfUnionFieldsStrategy

    public static UnionFieldsStrategy[] arrayOfUnionFieldsStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UnionFieldsStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.UnionFieldsStrategy[]

  - ### arrayOfPrintWindow

    public static PrintWindow[] arrayOfPrintWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PrintWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.PrintWindow[]

  - ### arrayOfComponentTask

    public static ComponentTask[] arrayOfComponentTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ComponentTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ComponentTask[]

  - ### arrayOfTilePalette

    public static TilePalette[] arrayOfTilePalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TilePalette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.TilePalette[]

  - ### arrayOfFilteredSelectAllAction

    public static FilteredSelectAllAction[] arrayOfFilteredSelectAllAction(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilteredSelectAllAction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FilteredSelectAllAction[]

  - ### arrayOfDateFieldLayout

    public static DateFieldLayout[] arrayOfDateFieldLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateFieldLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DateFieldLayout[]

  - ### arrayOfVisibility

    public static Visibility[] arrayOfVisibility(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Visibility` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Visibility[]

  - ### arrayOfMultiFilePicker

    public static MultiFilePicker[] arrayOfMultiFilePicker(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiFilePicker` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MultiFilePicker[]

  - ### arrayOfPropertySheet

    public static PropertySheet[] arrayOfPropertySheet(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PropertySheet` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.PropertySheet[]

  - ### arrayOfSearchForm

    public static SearchForm[] arrayOfSearchForm(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SearchForm` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.SearchForm[]

  - ### arrayOfDecisionGateway

    public static DecisionGateway[] arrayOfDecisionGateway(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DecisionGateway` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DecisionGateway[]

  - ### arrayOfClientUniquenessCheckCondition

    public static ClientUniquenessCheckCondition[] arrayOfClientUniquenessCheckCondition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ClientUniquenessCheckCondition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ClientUniquenessCheckCondition[]

  - ### arrayOfHoverPersistMode

    public static HoverPersistMode[] arrayOfHoverPersistMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HoverPersistMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.HoverPersistMode[]

  - ### arrayOfDrawnValue

    public static DrawnValue[] arrayOfDrawnValue(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawnValue` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.chart.DrawnValue[]

  - ### arrayOfGroupSpecifier

    public static GroupSpecifier[] arrayOfGroupSpecifier(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GroupSpecifier` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.GroupSpecifier[]

  - ### arrayOfJSONCircularReferenceMode

    public static JSONCircularReferenceMode[] arrayOfJSONCircularReferenceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `JSONCircularReferenceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.JSONCircularReferenceMode[]

  - ### arrayOfMultiComboBoxLayoutStyle

    public static MultiComboBoxLayoutStyle[] arrayOfMultiComboBoxLayoutStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxLayoutStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiComboBoxLayoutStyle[]

  - ### arrayOfSelectItemsMode

    public static SelectItemsMode[] arrayOfSelectItemsMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectItemsMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectItemsMode[]

  - ### arrayOfEncoding

    public static Encoding[] arrayOfEncoding(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Encoding` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Encoding[]

  - ### arrayOfRecategorizeMode

    public static RecategorizeMode[] arrayOfRecategorizeMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecategorizeMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecategorizeMode[]

  - ### arrayOfAnimationEffect

    public static AnimationEffect[] arrayOfAnimationEffect(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AnimationEffect` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AnimationEffect[]

  - ### arrayOfAIResponse

    public static AIResponse[] arrayOfAIResponse(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIResponse` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIResponse[]

  - ### arrayOfEventCanvas

    public static EventCanvas[] arrayOfEventCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EventCanvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.calendar.EventCanvas[]

  - ### arrayOfXJSONDataSource

    public static XJSONDataSource[] arrayOfXJSONDataSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `XJSONDataSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.XJSONDataSource[]

  - ### arrayOfPickListMenu

    public static PickListMenu[] arrayOfPickListMenu(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PickListMenu` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.PickListMenu[]

  - ### arrayOfIconOverTrigger

    public static IconOverTrigger[] arrayOfIconOverTrigger(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IconOverTrigger` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.IconOverTrigger[]

  - ### arrayOfLoadScreenSettings

    public static LoadScreenSettings[] arrayOfLoadScreenSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LoadScreenSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.rpc.LoadScreenSettings[]

  - ### arrayOfStretchImgButton

    public static StretchImgButton[] arrayOfStretchImgButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StretchImgButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.StretchImgButton[]

  - ### arrayOfDrawLine

    public static DrawLine[] arrayOfDrawLine(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawLine` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawLine[]

  - ### arrayOfBuildDataBoundUIViaAIContext

    public static BuildDataBoundUIViaAIContext[] arrayOfBuildDataBoundUIViaAIContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildDataBoundUIViaAIContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildDataBoundUIViaAIContext[]

  - ### arrayOfDataSourceField

    public static DataSourceField[] arrayOfDataSourceField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceField` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.DataSourceField[]

  - ### arrayOfStaticTextItem

    public static StaticTextItem[] arrayOfStaticTextItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StaticTextItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.StaticTextItem[]

  - ### arrayOfEnumTranslateStrategy

    public static EnumTranslateStrategy[] arrayOfEnumTranslateStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EnumTranslateStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EnumTranslateStrategy[]

  - ### arrayOfWindowEditProxy

    public static WindowEditProxy[] arrayOfWindowEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `WindowEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.WindowEditProxy[]

  - ### arrayOfDebugOverflowSettings

    public static DebugOverflowSettings[] arrayOfDebugOverflowSettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DebugOverflowSettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DebugOverflowSettings[]

  - ### arrayOfQualityIndicatedLocator

    public static QualityIndicatedLocator[] arrayOfQualityIndicatedLocator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `QualityIndicatedLocator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.QualityIndicatedLocator[]

  - ### arrayOfGridSaveAllEditsTask

    public static GridSaveAllEditsTask[] arrayOfGridSaveAllEditsTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridSaveAllEditsTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridSaveAllEditsTask[]

  - ### arrayOfDrawPosition

    public static DrawPosition[] arrayOfDrawPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DrawPosition[]

  - ### arrayOfAIEngine

    public static AIEngine[] arrayOfAIEngine(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIEngine` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIEngine[]

  - ### arrayOfShowNextToComponentTask

    public static ShowNextToComponentTask[] arrayOfShowNextToComponentTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowNextToComponentTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ShowNextToComponentTask[]

  - ### arrayOfTileGrid

    public static TileGrid[] arrayOfTileGrid(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TileGrid` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tile.TileGrid[]

  - ### arrayOfMenuItem

    public static MenuItem[] arrayOfMenuItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MenuItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.MenuItem[]

  - ### arrayOfSelectionNotificationType

    public static SelectionNotificationType[] arrayOfSelectionNotificationType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SelectionNotificationType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SelectionNotificationType[]

  - ### arrayOfMultiWindowEvent

    public static MultiWindowEvent[] arrayOfMultiWindowEvent(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiWindowEvent` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiWindowEvent[]

  - ### arrayOfPanelPlacement

    public static PanelPlacement[] arrayOfPanelPlacement(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PanelPlacement` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PanelPlacement[]

  - ### arrayOfEventStream

    public static EventStream[] arrayOfEventStream(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EventStream` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.stream.EventStream[]

  - ### arrayOfHiddenItem

    public static HiddenItem[] arrayOfHiddenItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiddenItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.HiddenItem[]

  - ### arrayOfCriteria

    public static Criteria[] arrayOfCriteria(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Criteria` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.Criteria[]

  - ### arrayOfDeck

    public static Deck[] arrayOfDeck(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Deck` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.Deck[]

  - ### arrayOfPrintProperties

    public static PrintProperties[] arrayOfPrintProperties(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PrintProperties` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.PrintProperties[]

  - ### arrayOfToggleItem

    public static ToggleItem[] arrayOfToggleItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToggleItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ToggleItem[]

  - ### arrayOfWaitForType

    public static WaitForType[] arrayOfWaitForType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `WaitForType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.WaitForType[]

  - ### arrayOfDateItemEditProxy

    public static DateItemEditProxy[] arrayOfDateItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.DateItemEditProxy[]

  - ### arrayOfGridExportDataTask

    public static GridExportDataTask[] arrayOfGridExportDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridExportDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridExportDataTask[]

  - ### arrayOfColorFormat

    public static ColorFormat[] arrayOfColorFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ColorFormat[]

  - ### arrayOfCanvasFilterMode

    public static CanvasFilterMode[] arrayOfCanvasFilterMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CanvasFilterMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CanvasFilterMode[]

  - ### arrayOfDrawLinePath

    public static DrawLinePath[] arrayOfDrawLinePath(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawLinePath` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawLinePath[]

  - ### arrayOfRichTextEditor

    public static RichTextEditor[] arrayOfRichTextEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RichTextEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.RichTextEditor[]

  - ### arrayOfHeaderSpan

    public static HeaderSpan[] arrayOfHeaderSpan(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HeaderSpan` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.HeaderSpan[]

  - ### arrayOfProcessSequence

    public static ProcessSequence[] arrayOfProcessSequence(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProcessSequence` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ProcessSequence[]

  - ### arrayOfFileItemEditProxy

    public static FileItemEditProxy[] arrayOfFileItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FileItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.FileItemEditProxy[]

  - ### arrayOfAutofit

    public static Autofit[] arrayOfAutofit(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Autofit` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Autofit[]

  - ### arrayOfSplitPane

    public static SplitPane[] arrayOfSplitPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SplitPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.SplitPane[]

  - ### arrayOfFormSetFieldValueTask

    public static FormSetFieldValueTask[] arrayOfFormSetFieldValueTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormSetFieldValueTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormSetFieldValueTask[]

  - ### arrayOfImgSectionHeader

    public static ImgSectionHeader[] arrayOfImgSectionHeader(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ImgSectionHeader` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.ImgSectionHeader[]

  - ### arrayOfFetchRelatedDataTask

    public static FetchRelatedDataTask[] arrayOfFetchRelatedDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FetchRelatedDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FetchRelatedDataTask[]

  - ### arrayOfRibbonBar

    public static RibbonBar[] arrayOfRibbonBar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RibbonBar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.RibbonBar[]

  - ### arrayOfColor

    public static Color[] arrayOfColor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Color` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.Color[]

  - ### arrayOfAIFieldRequest

    public static AIFieldRequest[] arrayOfAIFieldRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIFieldRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIFieldRequest[]

  - ### arrayOfScanMode

    public static ScanMode[] arrayOfScanMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ScanMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ScanMode[]

  - ### arrayOfDataQuestionResult

    public static DataQuestionResult[] arrayOfDataQuestionResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestionResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.DataQuestionResult[]

  - ### arrayOfEndProcessTask

    public static EndProcessTask[] arrayOfEndProcessTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EndProcessTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.EndProcessTask[]

  - ### arrayOfHLayout

    public static HLayout[] arrayOfHLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.HLayout[]

  - ### arrayOfTourWindow

    public static TourWindow[] arrayOfTourWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TourWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tour.TourWindow[]

  - ### arrayOfRowRangeDisplay

    public static RowRangeDisplay[] arrayOfRowRangeDisplay(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowRangeDisplay` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.RowRangeDisplay[]

  - ### arrayOfRemoteWindow

    public static RemoteWindow[] arrayOfRemoteWindow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RemoteWindow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.browser.window.RemoteWindow[]

  - ### arrayOfCellRecordMode

    public static CellRecordMode[] arrayOfCellRecordMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CellRecordMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CellRecordMode[]

  - ### arrayOfStartProcessTask

    public static StartProcessTask[] arrayOfStartProcessTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StartProcessTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.StartProcessTask[]

  - ### arrayOfExportFormat

    public static ExportFormat[] arrayOfExportFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ExportFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ExportFormat[]

  - ### arrayOfNavigationBarViewState

    public static NavigationBarViewState[] arrayOfNavigationBarViewState(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationBarViewState` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.NavigationBarViewState[]

  - ### arrayOfShowHideTask

    public static ShowHideTask[] arrayOfShowHideTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowHideTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ShowHideTask[]

  - ### arrayOfMultiMessageMode

    public static MultiMessageMode[] arrayOfMultiMessageMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiMessageMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiMessageMode[]

  - ### arrayOfDateTimeItem

    public static DateTimeItem[] arrayOfDateTimeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DateTimeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.DateTimeItem[]

  - ### arrayOfTextItemEditProxy

    public static TextItemEditProxy[] arrayOfTextItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TextItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.TextItemEditProxy[]

  - ### arrayOfOrientation

    public static Orientation[] arrayOfOrientation(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Orientation` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Orientation[]

  - ### arrayOfAceUndoManager

    public static AceUndoManager[] arrayOfAceUndoManager(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceUndoManager` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceUndoManager[]

  - ### arrayOfDataQuestion

    public static DataQuestion[] arrayOfDataQuestion(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataQuestion` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.DataQuestion[]

  - ### arrayOfListGridRecord

    public static ListGridRecord[] arrayOfListGridRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridRecord` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.ListGridRecord[]

  - ### arrayOfLabelRotationMode

    public static LabelRotationMode[] arrayOfLabelRotationMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LabelRotationMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LabelRotationMode[]

  - ### arrayOfColorStop

    public static ColorStop[] arrayOfColorStop(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColorStop` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.ColorStop[]

  - ### arrayOfValueClass

    public static ValueClass[] arrayOfValueClass(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ValueClass` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ValueClass[]

  - ### arrayOfGauge

    public static Gauge[] arrayOfGauge(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Gauge` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.Gauge[]

  - ### arrayOfHiliteViaAIProgressDialog

    public static HiliteViaAIProgressDialog[] arrayOfHiliteViaAIProgressDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAIProgressDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.HiliteViaAIProgressDialog[]

  - ### arrayOfFormValidateValuesTask

    public static FormValidateValuesTask[] arrayOfFormValidateValuesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormValidateValuesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormValidateValuesTask[]

  - ### arrayOfUserAIRequest

    public static UserAIRequest[] arrayOfUserAIRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UserAIRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.UserAIRequest[]

  - ### arrayOfCriterion

    public static Criterion[] arrayOfCriterion(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Criterion` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.Criterion[]

  - ### arrayOfMoveKnobPoint

    public static MoveKnobPoint[] arrayOfMoveKnobPoint(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MoveKnobPoint` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MoveKnobPoint[]

  - ### arrayOfRecordComponentPoolingMode

    public static RecordComponentPoolingMode[] arrayOfRecordComponentPoolingMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordComponentPoolingMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordComponentPoolingMode[]

  - ### arrayOfSavedSearchEditor

    public static SavedSearchEditor[] arrayOfSavedSearchEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.SavedSearchEditor[]

  - ### arrayOfMultiFileItem

    public static MultiFileItem[] arrayOfMultiFileItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiFileItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.MultiFileItem[]

  - ### arrayOfValuesManager

    public static ValuesManager[] arrayOfValuesManager(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ValuesManager` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.ValuesManager[]

  - ### arrayOfXMLSyntaxHiliter

    public static XMLSyntaxHiliter[] arrayOfXMLSyntaxHiliter(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `XMLSyntaxHiliter` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.XMLSyntaxHiliter[]

  - ### arrayOfPrintCanvasTask

    public static PrintCanvasTask[] arrayOfPrintCanvasTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PrintCanvasTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.PrintCanvasTask[]

  - ### arrayOfListGridField

    public static ListGridField[] arrayOfListGridField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListGridField` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.ListGridField[]

  - ### arrayOfCubeGrid

    public static CubeGrid[] arrayOfCubeGrid(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CubeGrid` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.cube.CubeGrid[]

  - ### arrayOfSingleSourceAIRequest

    public static SingleSourceAIRequest[] arrayOfSingleSourceAIRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SingleSourceAIRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.SingleSourceAIRequest[]

  - ### arrayOfSVG

    public static SVG[] arrayOfSVG(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SVG` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.plugins.SVG[]

  - ### arrayOfPromptStyle

    public static PromptStyle[] arrayOfPromptStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PromptStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.PromptStyle[]

  - ### arrayOfIMenuButton

    public static IMenuButton[] arrayOfIMenuButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IMenuButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.IMenuButton[]

  - ### arrayOfTreeNode

    public static TreeNode[] arrayOfTreeNode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TreeNode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.TreeNode[]

  - ### arrayOfHiliteViaAISettings

    public static HiliteViaAISettings[] arrayOfHiliteViaAISettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAISettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.HiliteViaAISettings[]

  - ### arrayOfFilteredList

    public static FilteredList[] arrayOfFilteredList(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilteredList` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.FilteredList[]

  - ### arrayOfFormResetValuesTask

    public static FormResetValuesTask[] arrayOfFormResetValuesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormResetValuesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormResetValuesTask[]

  - ### arrayOfTileLayout

    public static TileLayout[] arrayOfTileLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TileLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tile.TileLayout[]

  - ### arrayOfHiliteViaAIResult

    public static HiliteViaAIResult[] arrayOfHiliteViaAIResult(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HiliteViaAIResult` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.HiliteViaAIResult[]

  - ### arrayOfStretchItem

    public static StretchItem[] arrayOfStretchItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StretchItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.StretchItem[]

  - ### arrayOfLayoutSpacer

    public static LayoutSpacer[] arrayOfLayoutSpacer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LayoutSpacer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.LayoutSpacer[]

  - ### arrayOfFacetChart

    public static FacetChart[] arrayOfFacetChart(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FacetChart` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.chart.FacetChart[]

  - ### arrayOfShowNotificationTask

    public static ShowNotificationTask[] arrayOfShowNotificationTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ShowNotificationTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ShowNotificationTask[]

  - ### arrayOfIntegerItem

    public static IntegerItem[] arrayOfIntegerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `IntegerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.IntegerItem[]

  - ### arrayOfConnectorStyle

    public static ConnectorStyle[] arrayOfConnectorStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ConnectorStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ConnectorStyle[]

  - ### arrayOfRowRangeDisplayStyle

    public static RowRangeDisplayStyle[] arrayOfRowRangeDisplayStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RowRangeDisplayStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RowRangeDisplayStyle[]

  - ### arrayOfListStyleType

    public static ListStyleType[] arrayOfListStyleType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ListStyleType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ListStyleType[]

  - ### arrayOfTimeUnit

    public static TimeUnit[] arrayOfTimeUnit(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TimeUnit` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TimeUnit[]

  - ### arrayOfGridFetchDataTask

    public static GridFetchDataTask[] arrayOfGridFetchDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GridFetchDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.GridFetchDataTask[]

  - ### arrayOfMultiInsertStrategy

    public static MultiInsertStrategy[] arrayOfMultiInsertStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiInsertStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiInsertStrategy[]

  - ### arrayOfMultiPickerItem

    public static MultiPickerItem[] arrayOfMultiPickerItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiPickerItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.MultiPickerItem[]

  - ### arrayOfFormEditProxy

    public static FormEditProxy[] arrayOfFormEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.FormEditProxy[]

  - ### arrayOfEditInReifyConfig

    public static EditInReifyConfig[] arrayOfEditInReifyConfig(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditInReifyConfig` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditInReifyConfig[]

  - ### arrayOfStateTask

    public static StateTask[] arrayOfStateTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `StateTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.StateTask[]

  - ### arrayOfRibbonButton

    public static RibbonButton[] arrayOfRibbonButton(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RibbonButton` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.RibbonButton[]

  - ### arrayOfMenuPalette

    public static MenuPalette[] arrayOfMenuPalette(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MenuPalette` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.MenuPalette[]

  - ### arrayOfOutputWhen

    public static OutputWhen[] arrayOfOutputWhen(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `OutputWhen` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.OutputWhen[]

  - ### arrayOfLayoutPolicy

    public static LayoutPolicy[] arrayOfLayoutPolicy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LayoutPolicy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LayoutPolicy[]

  - ### arrayOfToolbarItemEditProxy

    public static ToolbarItemEditProxy[] arrayOfToolbarItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolbarItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ToolbarItemEditProxy[]

  - ### arrayOfEditProxy

    public static EditProxy[] arrayOfEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.EditProxy[]

  - ### arrayOfScriptTask

    public static ScriptTask[] arrayOfScriptTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ScriptTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.ScriptTask[]

  - ### arrayOfSavedSearches

    public static SavedSearches[] arrayOfSavedSearches(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearches` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.SavedSearches[]

  - ### arrayOfDrawGroup

    public static DrawGroup[] arrayOfDrawGroup(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawGroup` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawGroup[]

  - ### arrayOfEmbeddedPosition

    public static EmbeddedPosition[] arrayOfEmbeddedPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `EmbeddedPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.EmbeddedPosition[]

  - ### arrayOfRegressionLineType

    public static RegressionLineType[] arrayOfRegressionLineType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RegressionLineType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RegressionLineType[]

  - ### arrayOfExportDisplay

    public static ExportDisplay[] arrayOfExportDisplay(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ExportDisplay` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ExportDisplay[]

  - ### arrayOfDSProtocol

    public static DSProtocol[] arrayOfDSProtocol(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSProtocol` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DSProtocol[]

  - ### arrayOfFiscalYear

    public static FiscalYear[] arrayOfFiscalYear(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FiscalYear` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.FiscalYear[]

  - ### arrayOfAISortProgressDialog

    public static AISortProgressDialog[] arrayOfAISortProgressDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AISortProgressDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.AISortProgressDialog[]

  - ### arrayOfDSServerType

    public static DSServerType[] arrayOfDSServerType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSServerType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DSServerType[]

  - ### arrayOfDrawSector

    public static DrawSector[] arrayOfDrawSector(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawSector` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawSector[]

  - ### arrayOfMiniDateRangeItem

    public static MiniDateRangeItem[] arrayOfMiniDateRangeItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MiniDateRangeItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.MiniDateRangeItem[]

  - ### arrayOfDefaultSampleRecord

    public static DefaultSampleRecord[] arrayOfDefaultSampleRecord(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DefaultSampleRecord` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DefaultSampleRecord[]

  - ### arrayOfBuildViaAIContext

    public static BuildViaAIContext[] arrayOfBuildViaAIContext(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BuildViaAIContext` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.BuildViaAIContext[]

  - ### arrayOfFieldImportStrategy

    public static FieldImportStrategy[] arrayOfFieldImportStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldImportStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldImportStrategy[]

  - ### arrayOfExportImageFormat

    public static ExportImageFormat[] arrayOfExportImageFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ExportImageFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ExportImageFormat[]

  - ### arrayOfDataSourceTemplateReferenceMode

    public static DataSourceTemplateReferenceMode[] arrayOfDataSourceTemplateReferenceMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataSourceTemplateReferenceMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DataSourceTemplateReferenceMode[]

  - ### arrayOfMenu

    public static Menu[] arrayOfMenu(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Menu` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.menu.Menu[]

  - ### arrayOfMinimalScrollbarContrastSuffix

    public static MinimalScrollbarContrastSuffix[] arrayOfMinimalScrollbarContrastSuffix(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MinimalScrollbarContrastSuffix` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MinimalScrollbarContrastSuffix[]

  - ### arrayOfTour

    public static Tour[] arrayOfTour(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Tour` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.tour.Tour[]

  - ### arrayOfSavedSearchItemEditProxy

    public static SavedSearchItemEditProxy[] arrayOfSavedSearchItemEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchItemEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.SavedSearchItemEditProxy[]

  - ### arrayOfLayout

    public static Layout[] arrayOfLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Layout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.Layout[]

  - ### arrayOfLoadProjectErrorStatus

    public static LoadProjectErrorStatus[] arrayOfLoadProjectErrorStatus(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LoadProjectErrorStatus` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LoadProjectErrorStatus[]

  - ### arrayOfDirection

    public static Direction[] arrayOfDirection(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Direction` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Direction[]

  - ### arrayOfMultiSortPanel

    public static MultiSortPanel[] arrayOfMultiSortPanel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiSortPanel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MultiSortPanel[]

  - ### arrayOfToolStripResizer

    public static ToolStripResizer[] arrayOfToolStripResizer(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripResizer` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripResizer[]

  - ### arrayOfCriteriaCombineOperator

    public static CriteriaCombineOperator[] arrayOfCriteriaCombineOperator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CriteriaCombineOperator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CriteriaCombineOperator[]

  - ### arrayOfFormSaveDataTask

    public static FormSaveDataTask[] arrayOfFormSaveDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormSaveDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormSaveDataTask[]

  - ### arrayOfRecordDropAppearance

    public static RecordDropAppearance[] arrayOfRecordDropAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordDropAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordDropAppearance[]

  - ### arrayOfFormEditNewRecordTask

    public static FormEditNewRecordTask[] arrayOfFormEditNewRecordTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormEditNewRecordTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormEditNewRecordTask[]

  - ### arrayOfSavedSearchStoredState

    public static SavedSearchStoredState[] arrayOfSavedSearchStoredState(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SavedSearchStoredState` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SavedSearchStoredState[]

  - ### arrayOfSetScreenDataTask

    public static SetScreenDataTask[] arrayOfSetScreenDataTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SetScreenDataTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.SetScreenDataTask[]

  - ### arrayOfDSFetchTask

    public static DSFetchTask[] arrayOfDSFetchTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DSFetchTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.DSFetchTask[]

  - ### arrayOfFieldAppearance

    public static FieldAppearance[] arrayOfFieldAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldAppearance[]

  - ### arrayOfAIHoverRequest

    public static AIHoverRequest[] arrayOfAIHoverRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIHoverRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIHoverRequest[]

  - ### arrayOfRESTAuthenticationType

    public static RESTAuthenticationType[] arrayOfRESTAuthenticationType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RESTAuthenticationType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RESTAuthenticationType[]

  - ### arrayOfTieMode

    public static TieMode[] arrayOfTieMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TieMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.TieMode[]

  - ### arrayOfLogicalOperator

    public static LogicalOperator[] arrayOfLogicalOperator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `LogicalOperator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.LogicalOperator[]

  - ### arrayOfBackgroundRepeat

    public static BackgroundRepeat[] arrayOfBackgroundRepeat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `BackgroundRepeat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.BackgroundRepeat[]

  - ### arrayOfNavPanel

    public static NavPanel[] arrayOfNavPanel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavPanel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.layout.NavPanel[]

  - ### arrayOfSortArrow

    public static SortArrow[] arrayOfSortArrow(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SortArrow` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.SortArrow[]

  - ### arrayOfDragAppearance

    public static DragAppearance[] arrayOfDragAppearance(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DragAppearance` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DragAppearance[]

  - ### arrayOfAceRange

    public static AceRange[] arrayOfAceRange(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceRange` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceRange[]

  - ### arrayOfCanvas

    public static Canvas[] arrayOfCanvas(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Canvas` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Canvas[]

  - ### arrayOfMockDataFormat

    public static MockDataFormat[] arrayOfMockDataFormat(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MockDataFormat` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MockDataFormat[]

  - ### arrayOfXORGateway

    public static XORGateway[] arrayOfXORGateway(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `XORGateway` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.XORGateway[]

  - ### arrayOfCacheSyncTiming

    public static CacheSyncTiming[] arrayOfCacheSyncTiming(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CacheSyncTiming` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.CacheSyncTiming[]

  - ### arrayOfAxis

    public static Axis[] arrayOfAxis(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Axis` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.Axis[]

  - ### arrayOfDescriptionMode

    public static DescriptionMode[] arrayOfDescriptionMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DescriptionMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DescriptionMode[]

  - ### arrayOfFormSetValuesTask

    public static FormSetValuesTask[] arrayOfFormSetValuesTask(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FormSetValuesTask` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.FormSetValuesTask[]

  - ### arrayOfZoomStartPosition

    public static ZoomStartPosition[] arrayOfZoomStartPosition(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ZoomStartPosition` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ZoomStartPosition[]

  - ### arrayOfMultiGroupDialog

    public static MultiGroupDialog[] arrayOfMultiGroupDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiGroupDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.MultiGroupDialog[]

  - ### arrayOfErrorCategory

    public static ErrorCategory[] arrayOfErrorCategory(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ErrorCategory` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ErrorCategory[]

  - ### arrayOfToolStripSeparator

    public static ToolStripSeparator[] arrayOfToolStripSeparator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ToolStripSeparator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.toolbar.ToolStripSeparator[]

  - ### arrayOfAIMessageWithSource

    public static AIMessageWithSource[] arrayOfAIMessageWithSource(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AIMessageWithSource` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.AIMessageWithSource[]

  - ### arrayOfResizeKnobPoint

    public static ResizeKnobPoint[] arrayOfResizeKnobPoint(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ResizeKnobPoint` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ResizeKnobPoint[]

  - ### arrayOfHTMLPane

    public static HTMLPane[] arrayOfHTMLPane(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `HTMLPane` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.HTMLPane[]

  - ### arrayOfMultiComboBoxItem

    public static MultiComboBoxItem[] arrayOfMultiComboBoxItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiComboBoxItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.MultiComboBoxItem[]

  - ### arrayOfTabSetEditProxy

    public static TabSetEditProxy[] arrayOfTabSetEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TabSetEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.TabSetEditProxy[]

  - ### arrayOfNavigationMethod

    public static NavigationMethod[] arrayOfNavigationMethod(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NavigationMethod` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.NavigationMethod[]

  - ### arrayOfGaugeSector

    public static GaugeSector[] arrayOfGaugeSector(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GaugeSector` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.GaugeSector[]

  - ### arrayOfMultiInsertNonMatchingStrategy

    public static MultiInsertNonMatchingStrategy[] arrayOfMultiInsertNonMatchingStrategy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `MultiInsertNonMatchingStrategy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.MultiInsertNonMatchingStrategy[]

  - ### arrayOfDrawCurve

    public static DrawCurve[] arrayOfDrawCurve(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawCurve` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawCurve[]

  - ### arrayOfColumnTree

    public static ColumnTree[] arrayOfColumnTree(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ColumnTree` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.grid.ColumnTree[]

  - ### arrayOfAutoFitIconFieldType

    public static AutoFitIconFieldType[] arrayOfAutoFitIconFieldType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AutoFitIconFieldType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.AutoFitIconFieldType[]

  - ### arrayOfCSSEditor

    public static CSSEditor[] arrayOfCSSEditor(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `CSSEditor` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.CSSEditor[]

  - ### arrayOfProgressbarEditProxy

    public static ProgressbarEditProxy[] arrayOfProgressbarEditProxy(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ProgressbarEditProxy` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.tools.ProgressbarEditProxy[]

  - ### arrayOfField

    public static Field[] arrayOfField(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Field` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.data.Field[]

  - ### arrayOfSystemAIRequest

    public static SystemAIRequest[] arrayOfSystemAIRequest(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `SystemAIRequest` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.SystemAIRequest[]

  - ### arrayOfNodeLocator

    public static NodeLocator[] arrayOfNodeLocator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `NodeLocator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.tree.NodeLocator[]

  - ### arrayOfDataPointSizeScalingMode

    public static DataPointSizeScalingMode[] arrayOfDataPointSizeScalingMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DataPointSizeScalingMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.DataPointSizeScalingMode[]

  - ### arrayOfElementWaitStyle

    public static ElementWaitStyle[] arrayOfElementWaitStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ElementWaitStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.ElementWaitStyle[]

  - ### arrayOfFilterViaAIProgressDialog

    public static FilterViaAIProgressDialog[] arrayOfFilterViaAIProgressDialog(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FilterViaAIProgressDialog` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ai.FilterViaAIProgressDialog[]

  - ### arrayOfSplitbar

    public static Splitbar[] arrayOfSplitbar(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Splitbar` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.Splitbar[]

  - ### arrayOfGroupTreeChangeType

    public static GroupTreeChangeType[] arrayOfGroupTreeChangeType(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `GroupTreeChangeType` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.GroupTreeChangeType[]

  - ### arrayOfPropertyValue

    public static PropertyValue[] arrayOfPropertyValue(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PropertyValue` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.PropertyValue[]

  - ### arrayOfAceDocument

    public static AceDocument[] arrayOfAceDocument(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `AceDocument` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.ace.AceDocument[]

  - ### arrayOfUISummarySettings

    public static UISummarySettings[] arrayOfUISummarySettings(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `UISummarySettings` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.ai.UISummarySettings[]

  - ### arrayOfValidator

    public static Validator[] arrayOfValidator(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Validator` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.validator.Validator[]

  - ### arrayOfFireStyle

    public static FireStyle[] arrayOfFireStyle(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FireStyle` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FireStyle[]

  - ### arrayOfButtonItem

    public static ButtonItem[] arrayOfButtonItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `ButtonItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.fields.ButtonItem[]

  - ### arrayOfFieldAuditMode

    public static FieldAuditMode[] arrayOfFieldAuditMode(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `FieldAuditMode` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.FieldAuditMode[]

  - ### arrayOfPresetCriteriaItem

    public static PresetCriteriaItem[] arrayOfPresetCriteriaItem(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `PresetCriteriaItem` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.form.PresetCriteriaItem[]

  - ### arrayOfRecordLayout

    public static RecordLayout[] arrayOfRecordLayout(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `RecordLayout` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.types.RecordLayout[]

  - ### arrayOfFlashlet

    public static Flashlet[] arrayOfFlashlet(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `Flashlet` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.plugins.Flashlet[]

  - ### arrayOfDrawLabel

    public static DrawLabel[] arrayOfDrawLabel(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `DrawLabel` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.widgets.drawing.DrawLabel[]

  - ### arrayOfTaskDecision

    public static TaskDecision[] arrayOfTaskDecision(JavaScriptObject nativeArray)
    Given the nativeArray JavaScriptObject, this method will return an array of `TaskDecision` objects.
    Parameters:
      `nativeArray` -
    Returns:
      com.smartgwt.client.util.workflow.TaskDecision[]